.\" dpkg manual page - deb-shlibs(5)
.\"
.\" Copyright © 1996 Michael Shields <shields@crosslink.net>
.\" Copyright © 2008 Zack Weinberg <zackw@panix.com>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb\-shlibs 5 %RELEASE_DATE% %VERSION% "Herramientas de dpkg"
.nh
.SH NOMBRE
deb\-shlibs \- Fichero de información de bibliotecas compartidas de Debian
.
.SH DESCRIPCIÓN
.PP
\fBshlibs\fP crea una correlación entre los nombres y versiones de bibliotecas
compartidas (\fIsonames\fP) y las dependencias, de manera adecuada para su
inclusión en el fichero de control del paquete. Se inserta una entrada por
línea, y las líneas vacías \fBno\fP están permitidas. Las líneas que empiezan
con un carácter \fB#\fP se consideran comentarios, y se ignorarán. Todas las
demás líneas deben seguir el formato
.IP
[\fItipo\fP\fB:\fP] \fIbiblioteca\fP \fIversión\fP \fIdependencias\fP
.PP
Los campos \fIbiblioteca\fP y \fIversión\fP se delimitan con espacios en blanco,
pero el campo de las \fIdependencias\fP se extiende hasta el fin de línea. El
campo \fItipo\fP es opcional, y habitualmente innecesario.
.PP
The \fIdependencies\fP field has the same syntax as the \fBDepends\fP field in a
binary control file, see \fBdeb\-control\fP(5).
.
.SH EJEMPLOS
.PP
El aspecto de un fichero \fBshlibs\fP para un paquete típico de bibliotecas
llamado \fIlibcrunch1\fP, el cual proporciona una biblioteca cuyo «soname» es
I\fIlibcrunch.so.1\fP, podría ser
.IP
libcrunch 1 libcrunch1 (>= 1.2\-1)
.PP
The \fIdependencies\fP must mention the most recent version of the package that
added new symbols to the library: in the above example, new symbols were
added to version 1.2 of \fIlibcrunch\fP.  This is not the only reason the
dependencies might need to be tightened.
.
.SH "VÉASE TAMBIÉN"
\fBdeb\-control\fP(5), \fBdpkg\-shlibdeps\fP(1), \fBdeb\-symbols\fP(5).
