.\" dpkg manual page - deb-triggers(5)
.\"
.\" Copyright © 2008, 2013-2015 Guillem Jover <guillem@debian.org>
.\" Copyright © 2011, 2014 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb\-triggers 5 %RELEASE_DATE% %VERSION% "Herramientas de dpkg"
.nh
.SH NOMBRE
deb\-triggers \- Disparadores de paquetes
.
.SH SINOPSIS
disparadores
.
.SH DESCRIPCIÓN
Un paquete declara su relación con uno o varios disparadores incluyendo un
fichero \fItriggers\fP en su archivo de control (por ejemplo,
\fIDEBIAN/triggers\fP durante la creación del paquete).
.PP
Este fichero contiene directivas, una por línea. Los espacios vacíos
precedentes y a continuación, así como todo lo que aparezca después del
primer \fB#\fP, se recortará, y las líneas vacías se ignorarán.
.PP
Las directivas de control de disparadores actualmente permitidas son:
.TP 
\fBinterest\fP \fInombre\-disparador\fP
.TQ
\fBinterest\-await\fP \fItrigger\-name\fP
.TQ
\fBinterest\-noawait\fP \fInombre\-disparador\fP
.IP
Specifies that the package is interested in the named trigger. All triggers
in which a package is interested must be listed using this directive in the
triggers control file. The “noawait” variant does not put the triggering
packages in triggers\-awaited state. This should be used when the
functionality provided by the trigger is not crucial.
.TP 
\fBactivate\fP \fInombre\-disparador\fP
.TQ
\fBactivate\-await\fP \fItrigger\-name\fP
.TQ
\fBactivate\-noawait\fP \fInombre\-disparador\fP
.IP
Arranges that changes to this package's state will activate the specified
trigger. The trigger will be activated at the start of the following
operations: unpack, configure, remove (including for the benefit of a
conflicting package), purge and deconfigure.  The “noawait” variant does not
put the triggering packages in triggers\-awaited state. This should be used
when the functionality provided by the trigger is not crucial.
.IP
Si este paquete desaparece al desempaquetar otro paquete, el disparador se
activará al detectar la desaparición, al final del desempaquetado. El
procesamiento de disparadores y la transición de «triggers\-awaited» a
«installed» no provocan la activación de disparadores. En caso de procesar
un desempaquetado, se activarán los disparadores mencionados en las
versiones nuevas y viejas del paquete.
.PP
Una directiva errónea provocará un error, impidiendo la instalación del
paquete.
.PP
The “\-noawait” variants should always be favored when possible since
triggering packages are not put in triggers\-awaited state and can thus be
immediately configured without requiring the processing of the trigger.  If
the triggering packages are dependencies of other upgraded packages, it will
avoid an early trigger processing run and make it possible to run the
trigger only once as one of the last steps of the upgrade.
.PP
The “\-noawait” variants are only supported since dpkg 1.16.1, and will lead
to errors if used with an older dpkg. It is thus recommended to add a
“Pre\-Depends: dpkg (>= 1.16.1)” to any package that wish to use those
directives.
.PP
The “\-await” alias variants are only supported since dpkg 1.17.21, and will
lead to errors if used with an older dpkg. It is thus recommended to add a
“Pre\-Depends: dpkg (>= 1.17.21)” to any package that wish to use those
directives.
.
.SH "VÉASE TAMBIÉN"
.\" FIXME: Unhardcode the pathname, and use dpkg instead of dpkg-dev.
\fBdpkg\-trigger\fP(1), \fBdpkg\fP(1), \fB/usr/share/doc/dpkg\-dev/triggers.txt.gz\fP.
