.\" dpkg manual page - deb-substvars(5)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006-2009,2012-2015 Guillem Jover <guillem@debian.org>
.\" Copyright © 2009-2010 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb\-substvars 5 %RELEASE_DATE% %VERSION% "suite dpkg"
.nh
.SH NOM
deb\-substvars \- Variables de substitution de source Debian
.
.SH SYNOPSIS
substvars
.
.SH DESCRIPTION
Avant que \fBdpkg\-source\fP, \fBdpkg\-gencontrol\fP et \fBdpkg\-genchanges\fP
n'écrivent leurs informations de contrôle (dans le fichier source de
contrôle \fB.dsc\fP pour \fBdpkg\-source\fP et sur la sortie standard pour
\fBdpkg\-gencontrol\fP et \fBdpkg\-genchanges\fP), ils réalisent quelques
substitutions de variables dans le fichier de sortie.

Une substitution de variable est de la forme\ : \fB${\fP\fInom\-variable\fP\fB}\fP. Les
noms de variable consistent en caractères alphanumériques, traits d'union et
«\ deux points\ »\ ; ils commencent par une lettre ou un chiffre. La
substitution se fait répétitivement jusqu'à ce qu'il n'en reste aucune à
faire\ ; le texte entier du champ après la substitution est réexaminé pour
chercher d'autres substitutions.

Quand toutes les substitutions ont été faites, chaque occurrence de la
chaîne \fB${}\fP (laquelle n'est pas une substitution autorisée) est remplacée
par un signe \fB$\fP.

Alors que le remplacement de variables est effectué sur tous les champs de
contrôle, certains de ces champs sont utilisés et nécessaires pendant la
construction alors même que la substitution n'a pas encore pu être
effectuée. Cela explique pourquoi il n'est pas possible d'utiliser de
variables dans les champs \fBPackage\fP, \fBSource\fP et \fBArchitecture\fP.

La substitution de variables se fait dans le contexte des champs après leur
analyse. En conséquence, si vous souhaitez qu'une variable soit remplacée
sur plusieurs lignes, il n'est pas nécessaire de placer une espace après le
retour à la ligne. Cela se fait implicitement quand le champ est
affiché. Par exemple, si la variable \fB${Description}\fP est positionnée sur
«\ foo est bar.${Newline}foo est super.\ » et si vous avez le champ suivant\ :

 Description: application foo
  ${Description}
  .
  Encore du texte.

Le résultat final sera\ :

 Description: application foo
  foo est bar.
  foo est super.
  .
  Encore du texte.

On peut définir les variables en utilisant l'option commune \fB\-V\fP. On peut
aussi se servir du fichier \fBdebian/substvars\fP (ou tout autre fichier avec
l'option \fB\-T\fP). Ce fichier est composé de lignes de la forme suivante\ :
\fInom\fP\fB=\fP\fIvaleur\fP. Les espaces résiduelles sur chaque ligne, les lignes
vides et les lignes qui commencent par un symbole \fB#\fP sont ignorées.

En outre, les variables standard suivantes sont disponibles\ :
.TP 
\fBArch\fP
The current host architecture (i.e. the architecture the package is being
built for, the equivalent of \fBDEB_HOST_ARCH\fP).
.TP 
\fBsource:Version\fP
The source package version (since dpkg 1.13.19).
.TP 
\fBsource:Upstream\-Version\fP
The upstream source package version, including the Debian version epoch if
any (since dpkg 1.13.19).
.TP 
\fBbinary:Version\fP
The binary package version (which may differ from source:Version in a binNMU
for example; since dpkg 1.13.19).
.TP 
\fBSource\-Version\fP
The source package version (from the changelog file). This variable is now
\fBobsolete\fP and emits an error when used as its meaning is different from
its function, please use the \fBsource:Version\fP or \fBbinary:Version\fP as
appropriate.
.TP 
\fBInstalled\-Size\fP
The approximate total size of the package's installed files. This value is
copied into the corresponding control file field; setting it will modify the
value of that field. If this variable is not set \fBdpkg\-gencontrol\fP will
compute the default value by accumulating the size of each regular file and
symlink rounded to 1 KiB used units, and a baseline of 1 KiB for any other
filesystem object type.

\fBNote:\fP Take into account that this can only ever be an approximation, as
the actual size used on the installed system will depend greatly on the
filesystem used and its parameters, which might end up using either more or
less space than the specified in this field.
.TP 
\fBExtra\-Size\fP
L'espace disque supplémentaire utilisé pour l'installation du paquet. Quand
on fixe cette variable, on ajoute sa valeur à la valeur de la variable
\fBInstalled\-Size\fP (qu'elle soit définie explicitement ou calculée par
défaut) avant que la variable \fBInstalled\-Size\fP ne soit copiée dans le champ
du fichier «\ control\ ».
.TP 
\fBS:\fP\fIfieldname\fP
The value of the source stanza field \fIfieldname\fP (which must be given in
the canonical capitalisation; since dpkg 1.18.11).  Setting these variables
has no effect other than on places where they are expanded explicitly.
These variables are only available when generating binary control files.
.TP 
\fBF:\fP\fIfieldname\fP
La valeur du champ \fIfieldname\fP affiché en sortie et qui doit être
classiquement en majuscules. Quand on fixe ces variables, cela ne prend
effet que là où elles sont effectivement développées.
.TP 
\fBFormat\fP
La version du format du fichier \fB.changes\fP produite par la version des
scripts construisant le source. Quand on détermine cette variable, le
contenu du champ \fBFormat\fP dans le fichier \fB.changes\fP est aussi modifié.
.TP 
\fBNewline\fP, \fBSpace\fP, \fBTab\fP
Ces variables contiennent chacune le caractère correspondant.
.TP 
\fBshlibs:\fP\fIdependencyfield\fP
Les variables déterminées de cette façon sont produites par
\fBdpkg\-shlibdeps\fP.
.TP 
\fBdpkg:Upstream\-Version\fP
The upstream version of dpkg (since dpkg 1.13.19).
.TP 
\fBdpkg:Version\fP
The full version of dpkg (since dpkg 1.13.19).
.LP
Quand une variable est référencée mais n'est pas définie, cela produit un
avertissement et une valeur nulle est supposée.
.
.SH FICHIERS
.TP 
\fBdebian/substvars\fP
La liste des variables de substitution et leurs valeurs.
.
.SH "VOIR AUSSI"
.ad l
\fBdpkg\fP(1), \fBdpkg\-genchanges\fP(1), \fBdpkg\-gencontrol\fP(1),
\fBdpkg\-shlibdeps\fP(1), \fBdpkg\-source\fP(1).
