.\" dpkg manual page - deb-version(5)
.\"
.\" Copyright © 1996-1998 Ian Jackson and Christian Schwarz
.\"   for parts of the text reused from the Debian Policy
.\" Copyright © 2007 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2011, 2013, 2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb\-version 5 %RELEASE_DATE% %VERSION% "suite dpkg"
.nh
.SH NOM
deb\-version \- Format du numéro de version des paquets Debian
.
.SH SYNOPSIS
[\fIepoch\fP\fB:\fP]\fIversion_amont\fP[\fB\-\fP\fIrévision_debian\fP]
.SH DESCRIPTION
Les numéros de version utilisés pour les paquets sources et binaires se
composent de trois parties. Celles\-ci sont\ :
.TP 
\fIepoch\fP
Ce nombre est un entier positif (usuellement petit). Il peut être omis (dans
ce cas, la valeur nulle est implicite). S'il est omis, la \fIversion_amont\fP
peut ne pas contenir de caractère deux\-points.
.IP
Cette valeur est destinée à permettre de gérer des erreurs dans les anciens
numéros de version d'un paquet ou un changement dans la méthode de
numérotation des versions amont.
.TP 
\fIversion_amont\fP
This is the main part of the version number.  It is usually the version
number of the original (“upstream”)  package from which the \fI.deb\fP file has
been made, if this is applicable.  Usually this will be in the same format
as that specified by the upstream author(s); however, it may need to be
reformatted to fit into the package management system's format and
comparison scheme.
.IP
Le principe de comparaison du système de gestion de paquets en ce qui
concerne la \fIversion_amont\fP est décrit ci\-dessous. La partie
\fIversion_amont\fP du numéro de version est obligatoire.
.IP
The \fIupstream\-version\fP may contain only alphanumerics (“A\-Za\-z0\-9”) and the
characters \fB.\fP \fB+\fP \fB\-\fP \fB:\fP \fB~\fP (full stop, plus, hyphen, colon, tilde)
and should start with a digit.  If there is no \fIdebian\-revision\fP then
hyphens are not allowed; if there is no \fIepoch\fP then colons are not
allowed.
.TP 
\fIrévision_Debian\fP
Cette partie du numéro de version indique la version du paquet Debian à
partir du numéro de la version amont. Elle ne doit contenir que des symboles
alphanumériques et les caractères \fB+\fP \fB.\fP \fB~\fP (plus, point, tilde). Elle
est analysée de la même façon que la \fIversion_amont\fP.
.IP
It is optional; if it isn't present then the \fIupstream\-version\fP may not
contain a hyphen.  This format represents the case where a piece of software
was written specifically to be turned into a Debian package, and so there is
only one “debianisation” of it and therefore no revision indication is
required.
.IP
It is conventional to restart the \fIdebian\-revision\fP at ‘1’ each time the
\fIupstream\-version\fP is increased.
.IP
Dpkg s'arrêtera au dernier tiret du numéro de version (s'il y en a un) pour
déterminer la partie \fIversion_amont\fP et la \fIrévision_Debian\fP. L'absence de
\fIrévision_Debian\fP est comparée avant sa présence, mais il faut noter que la
\fIrévision_Debian\fP est la partie la moins significative du numéro de
version.
.SS "Algorithme de tri"
Les parties \fIversion_amont\fP et \fIrévision_Debian\fP sont comparées par le
système de gestion de paquet en utilisant le même algorithme\ :
.PP
Les chaînes sont comparées de la gauche vers la droite.
.PP
First the initial part of each string consisting entirely of non\-digit
characters is determined.  These two parts (one of which may be empty) are
compared lexically.  If a difference is found it is returned.  The lexical
comparison is a comparison of ASCII values modified so that all the letters
sort earlier than all the non\-letters and so that a tilde sorts before
anything, even the end of a part.  For example, the following parts are in
sorted order: ‘~~’, ‘~~a’, ‘~’, the empty part, ‘a’.
.PP
Puis, le début de ce qui reste des chaînes de caractères qui ne doivent plus
contenir que des chiffres est déterminé. Ces valeurs numériques sont
comparées et les différences sont remontées. Dans le cas d'une chaîne vide
(ce qui peut arriver si une chaîne est plus longue que l'autre lors de la
comparaison) elle compte pour un zéro.
.PP
Ces deux étapes (comparaison et suppression des caractères non numériques
puis de suppression des caractères numériques dans le début de la chaîne)
sont répétées jusqu'à ce qu'une différence soit trouvée ou la fin des
chaînes atteinte.
.PP
Note that the purpose of epochs is to allow us to leave behind mistakes in
version numbering, and to cope with situations where the version numbering
scheme changes.  It is \fBnot\fP intended to cope with version numbers
containing strings of letters which the package management system cannot
interpret (such as ‘ALPHA’ or ‘pre\-’), or with silly orderings.
.SH NOTES
Le caractère tilde («\ ~\ ») et sa propriété spéciale pour les comparaisons
ont été introduites dans la version 1.10 de dpkg. Ce n'est qu'à partir des
versions supérieures (1.10.x) que certaines parties des scripts de
construction de dpkg ont commencé à gérer ce système.
.SH "VOIR AUSSI"
\fBdeb\-control\fP(5), \fBdeb\fP(5), \fBdpkg\fP(1).
