.\" dpkg manual page - dpkg-buildflags(1)
.\"
.\" Copyright © 2010-2011 Raphaël Hertzog <hertzog@debian.org>
.\" Copyright © 2011 Kees Cook <kees@debian.org>
.\" Copyright © 2011-2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-buildflags 1 %RELEASE_DATE% %VERSION% "suite dpkg"
.nh
.SH NOM
dpkg\-buildflags \- retourne les options de compilation à utiliser pour la
construction du paquet
.
.SH SYNOPSIS
\fBdpkg\-buildflags\fP [\fIoption\fP...] [\fIcommande\fP]
.
.SH DESCRIPTION
\fBdpkg\-buildflags\fP est un script qui permet de récupérer les options de
compilation à utiliser pour la construction d'un paquet.
.
Les drapeaux par défaut sont définis par le fournisseur de la distribution
mais peuvent être étendus ou remplacés de plusieurs façons\ :
.IP 1.
pour tout le système avec \fB%PKGCONFDIR%/buildflags.conf\fP;
.IP 2.
pour l'utilisateur courant avec \fB$XDG_CONFIG_HOME/dpkg/buildflags.conf\fP où
la valeur par défaut de \fB$XDG_CONFIG_HOME\fP est \fB$HOME/.config\fP;
.IP 3.
temporairement par l'utilisateur avec des variables d'environnement (voir
\fBVARIABLES D'ENVIRONNEMENT\fP).
.IP 4.
dynamiquement par le responsable du paquet avec des variables
d'environnement via \fBdebian/rules\fP (voir \fBVARIABLES D'ENVIRONNEMENT\fP).
.P
The configuration files can contain four types of directives:
.TP 
\fBSET\fP\fI drapeau valeur\fP
Remplace le drapeau \fIdrapeau\fP par la valeur \fIvaleur\fP.
.TP 
\fBSTRIP\fP\fI valeur drapeau\fP
Retire du drapeau \fIdrapeau\fP tous les drapeaux de construction listés dans
\fIvaleur\fP.
.TP 
\fBAPPEND\fP\fI drapeau valeur\fP
Étend le drapeau \fIdrapeau\fP avec les options indiquées dans \fIvaleur\fP. Une
espace est ajoutée au début de ce qui est ajouté si la valeur actuelle du
drapeau n'est pas vide.
.TP 
\fBPREPEND\fP\fI valeur drapeau\fP
Préfixe le drapeau \fIdrapeau\fP avec les options indiquées dans \fIvaleur\fP. Une
espace est ajoutée au début de ce qui est ajouté si la valeur actuelle du
drapeau n'est pas vide.
.P
Les fichiers de configuration peuvent contenir des commentaires sur les
lignes commençant par un dièse (#). Les lignes vides sont également
ignorées.
.SH COMMANDES
.TP 
\fB\-\-dump\fP
Print to standard output all compilation flags and their values. It prints
one flag per line separated from its value by an equal sign
(“\fIflag\fP=\fIvalue\fP”). This is the default action.
.TP 
\fB\-\-list\fP
Affiche la liste des drapeaux gérés par l'éditeur actuel (un par
ligne). Voir la section \fBDRAPEAUX GÉRÉS\fP pour plus d'informations sur
chacun d'eux.
.TP 
\fB\-\-status\fP
Display any information that can be useful to explain the behaviour of
\fBdpkg\-buildflags\fP (since dpkg 1.16.5): relevant environment variables,
current vendor, state of all feature flags.  Also print the resulting
compiler flags with their origin.

Cette option est destinée à être utilisée depuis \fBdebian/rules\fP, afin de
garder dans le journal de construction une trace claire des drapeaux de
compilation utilisés. Cela peut être utile pour diagnostiquer des problèmes
qui y seraient liés.
.TP 
\fB\-\-export=\fP\fIformat\fP
Affiche sur la sortie standard les commandes qui permettent d'exporter tous
les drapeaux de compilation pour un outil particulier. Si \fIformat\fP n'est
pas spécifié, sa valeur est \fBsh\fP. Seuls les drapeaux de compilation
commençant par une majuscule sont inclus, les autres étant supposés
inadaptés à l'environnement. Formats pris en charge\ :
.RS
.TP 
\fBsh\fP
Commandes shell pour définir et exporter tous les drapeaux de compilation
dans l'environnement. Les valeurs drapeau sont protégées et ainsi la sortie
est prête à être évaluée par un shell.
.TP 
\fBcmdline\fP
Arguments à passer à la ligne de commande d'un programme de construction
pour utiliser tous les drapeaux de compilation (depuis dpkg 1.17.0). Les
valeurs drapeau sont protégées dans la syntaxe du shell.
.TP 
\fBconfigure\fP
C'est un ancien alias pour \fBcmdline\fP.
.TP 
\fBmake\fP
Directives de make pour définir et exporter tous les drapeaux de compilation
dans l'environnement. La sortie peut être écrite dans un fragment de
makefile et évaluée en utilisant une directive \fBinclude\fP.
.RE
.TP 
\fB\-\-get\fP\fI drapeau\fP
Affiche la valeur de ce drapeau sur la sortie standard. Retourne un code de
sortie 0 si le drapeau est connu et 1 s'il est inconnu.
.TP 
\fB\-\-origin\fP\fI drapeau\fP
Affiche l'origine de la valeur renvoyée par \fB\-\-get\fP. Retourne un code de
sortie 0 si le drapeau est connu et 1 s'il est inconnu. L'origine est une
des valeurs suivantes\ :
.RS
.TP 
\fBvendor\fP
le drapeau défini à l'origine par l'éditeur est renvoyé\ ;
.TP 
\fBsystem\fP
le drapeau est placé ou modifié par un réglage système\ ;
.TP 
\fBuser\fP
le drapeau est placé ou modifié par une configuration spécifique à
l'utilisateur\ ;
.TP 
\fBenv\fP
le drapeau est placé ou modifié par une configuration spécifique dans
l'environnement.
.RE
.TP 
\fB\-\-query\-features\fP\fI domaine\fP
Print the features enabled for a given area (since dpkg 1.16.2).  The only
currently recognized areas on Debian and derivatives are \fBqa\fP,
\fBreproducible\fP, \fBsanitize\fP and \fBhardening\fP, see the \fBFEATURE AREAS\fP
section for more details.  Exits with 0 if the area is known otherwise exits
with 1.
.IP
L'affichage est dans le format RFC822, avec une section par
fonctionnalité. Par exemple\ :
.IP
.nf
  Feature: pie
  Enabled: yes

  Feature: stackprotector
  Enabled: yes
.fi
.TP 
\fB\-\-help\fP
Affiche un message d'aide puis quitte.
.TP 
\fB\-\-version\fP
Affiche le numéro de version puis quitte.
.
.SH "DRAPEAUX GÉRÉS"
.TP 
\fBCFLAGS\fP
Options du compilateur C. La valeur par défaut définie par l'éditeur
comporte \fB\-g\fP et le niveau d'optimisation par défaut (\fB\-O2\fP en général, ou
\fB\-O0\fP si la variable d'environnement \fBDEB_BUILD_OPTIONS\fP contient
\fInoopt\fP).
.TP 
\fBCPPFLAGS\fP
Options du préprocesseur C. Valeur par défaut\ :\ aucune.
.TP 
\fBCXXFLAGS\fP
Options du compilateur C++. Analogue à \fBCFLAGS\fP.
.TP 
\fBOBJCFLAGS\fP
Options du compilateur Objective C. Analogue à \fBCFLAGS\fP.
.TP 
\fBOBJCXXFLAGS\fP
Options du compilateur Objective C++. Analogue à \fBCXXFLAGS\fP.
.TP 
\fBGCJFLAGS\fP
Options du compilateur Java GNU (gcj). Un sous\-ensemble de \fBCFLAGS\fP.
.TP 
\fBFFLAGS\fP
Options du compilateur Fortran 77. Un sous\-ensemble de \fBCFLAGS\fP.
.TP 
\fBFCFLAGS\fP
Options du compilateur Fortran 9x. Analogue à \fBFFLAGS\fP.
.TP 
\fBLDFLAGS\fP
Options passées au compilateur lors du processus de liaison des exécutables
ou des objets partagés (si le linker est appelé directement, alors \fB\-Wl\fP et
\fB,\fP doivent être retirés de ces options). Valeur par défaut\ :\ aucune.
.PP
De nouveaux drapeaux pourront être ajoutés si besoin est (par exemple pour
la prise en charge de nouveaux langages).
.
.SH "ZONES D'OPTION"
.P
Each area feature can be enabled and disabled in the \fBDEB_BUILD_OPTIONS\fP
and \fBDEB_BUILD_MAINT_OPTIONS\fP environment variable's area value with the
‘\fB+\fP’ and ‘\fB\-\fP’ modifier.  For example, to enable the \fBhardening\fP “pie”
feature and disable the “fortify” feature you can do this in
\fBdebian/rules\fP:
.P
  export DEB_BUILD_MAINT_OPTIONS=hardening=+pie,\-fortify
.P
The special feature \fBall\fP (valid in any area) can be used to enable or
disable all area features at the same time.  Thus disabling everything in
the \fBhardening\fP area and enabling only “format” and “fortify” can be
achieved with:
.P
  export DEB_BUILD_MAINT_OPTIONS=hardening=\-all,+format,+fortify
.
.SS qa
Plusieurs options de compilation (détaillées ci\-dessous) peuvent être
utilisées pour détecter des problèmes dans le code source ou dans le système
de construction.
.TP 
\fBbug\fP
This setting (disabled by default) adds any warning option that reliably
detects problematic source code. The warnings are fatal.  The only currently
supported flags are \fBCFLAGS\fP and \fBCXXFLAGS\fP with flags set to
\fB\-Werror=array\-bounds\fP, \fB\-Werror=clobbered\fP,
\fB\-Werror=implicit\-function\-declaration\fP and
\fB\-Werror=volatile\-register\-var\fP.
.
.TP 
\fBcanary\fP
Ce paramètre (désactivé par défaut) ajoute des options détectrices
«\ canary\ » factices aux drapeaux de construction de telle sorte que les
rapports de compilation permettront de vérifier la façon dont ces drapeaux
se propagent et de repérer toute ommission des paramètres de drapeaux
habituels. Les drapeaux actuellement pris en charge sont \fBCPPFLAGS\fP,
\fBCFLAGS\fP, \fBOBJCFLAGS\fP,
 \fBCXXFLAGS\fP ainsi que \fBOBJCXXFLAGS\fP, avec les drapeaux définis à
\fB\-D__DEB_CANARY_\fP\fIflag\fP_\fIrandom\-id\fP\fB__\fP, et \fBLDFLAGS\fP paramétré à
\fB\-Wl,\-z,deb\-canary\-\fP\fIrandom\-id\fP.
.
.SS sanitize
Several compile\-time options (detailed below) can be used to help sanitize a
resulting binary against memory corruptions, memory leaks, use after free,
threading data races and undefined behavior bugs.
.TP 
\fBaddress\fP
This setting (disabled by default) adds \fB\-fsanitize=address\fP to \fBLDFLAGS\fP
and \fB\-fsanitize=address \-fno\-omit\-frame\-pointer\fP to \fBCFLAGS\fP and
\fBCXXFLAGS\fP.
.TP 
\fBthread\fP
This setting (disabled by default) adds \fB\-fsanitize=thread\fP to \fBCFLAGS\fP,
\fBCXXFLAGS\fP and \fBLDFLAGS\fP.
.TP 
\fBleak\fP
This setting (disabled by default) adds \fB\-fsanitize=leak\fP to \fBLDFLAGS\fP. It
gets automatically disabled if either the \fBaddress\fP or the \fBthread\fP
features are enabled, as they imply it.
.TP 
\fBundefined\fP
This setting (disabled by default) adds \fB\-fsanitize=undefined\fP to
\fBCFLAGS\fP, \fBCXXFLAGS\fP and \fBLDFLAGS\fP.
.SS hardening
Plusieurs options de compilation (détaillées ci\-dessous) peuvent être
utilisées pour accroître la résistance du binaire compilé face aux attaques
par corruption de la mémoire ou fournir des messages d'avertissement
supplémentaires lors de la compilation. Sauf mention contraire (voir
ci\-dessous), ces options sont activées par défaut pour les architectures qui
les gèrent.
.TP 
\fBformat\fP
This setting (enabled by default) adds \fB\-Wformat \-Werror=format\-security\fP
to \fBCFLAGS\fP, \fBCXXFLAGS\fP, \fBOBJCFLAGS\fP and \fBOBJCXXFLAGS\fP.  This will warn
about improper format string uses, and will fail when format functions are
used in a way that represent possible security problems. At present, this
warns about calls to \fBprintf\fP and \fBscanf\fP functions where the format
string is not a string literal and there are no format arguments, as in
\fBprintf(foo);\fP instead of \fBprintf("%s", foo);\fP This may be a security hole
if the format string came from untrusted input and contains ‘%n’.
.
.TP 
\fBfortify\fP
This setting (enabled by default) adds \fB\-D_FORTIFY_SOURCE=2\fP to
\fBCPPFLAGS\fP. During code generation the compiler knows a great deal of
information about buffer sizes (where possible), and attempts to replace
insecure unlimited length buffer function calls with length\-limited
ones. This is especially useful for old, crufty code.  Additionally, format
strings in writable memory that contain ‘%n’ are blocked. If an application
depends on such a format string, it will need to be worked around.

Veuillez noter que pour que cette option fasse effet, la source devra aussi
être compilée avec \fB\-O1\fP ou plus. Si la variable d'environnement
\fBDEB_BUILD_OPTIONS\fP contient \fInoopt\fP, la prise en charge de \fBfortify\fP
sera désactivée du fait des nouveaux avertissements émis par glibc version
2.16 et ultérieure.
.TP 
\fBstackprotector\fP
Ce réglage (activé par défaut si stackprotectorstrong n'est pas employé),
ajoute \fB\-fstack\-protector \-\-param=ssp\-buffer\-size=4\fP à \fBCFLAGS\fP,
\fBCXXFLAGS\fP, \fBOBJCFLAGS\fP, \fBOBJCXXFLAGS\fP, \fBGCJFLAGS\fP, \fBFFLAGS\fP et
\fBFCFLAGS\fP. Il ajoute des contrôles liés aux réécritures de piles. Cela
conduit des tentatives d'attaques par injection de code à terminer en
échec. Dans le meilleur des cas, cette protection transforme une
vulnérabilité d'injection de code en déni de service ou en non\-problème
(selon les applications).

Cette fonctionnalité impose de lier le code à glibc (ou toute autre
bibliothèque fournissant \fB__stack_chk_fail\fP) et doit donc être désactivée
lorsque le code est construit avec \fB\-nostdlib\fP, \fB\-ffreestanding\fP ou
équivalents.
.
.TP 
\fBstackprotectorstrong\fP
Ce réglage, activé par défaut, ajoute \fB\-fstack\-protector\-strong\fP à
\fBCFLAGS\fP, \fBCXXFLAGS\fP, \fBOBJCFLAGS\fP, \fBOBJCXXFLAGS\fP, \fBGCJFLAGS\fP, \fBFFLAGS\fP
et \fBFCFLAGS\fP. Il s'agit d'une version renforcée de \fBstackprotector\fPqui
n'affecte pas les performances de manière importante.

Désactiver \fBstackprotector\fP désactive également ce paramètre.

Cette fonctionnalité a les même exigences que \fBstackprotector\fP, en plus de
nécessiter gcc 4.9 ou plus récent.
.
.TP 
\fBrelro\fP
Ce réglage, activé par défaut, ajoute \fB\-Wl,\-z,relro\fP à \fBLDFLAGS\fP. Lors du
chargement du programme, plusieurs parties de la mémoire ELF doivent être
écrites par l'éditeur de liens. Ce réglage indique au chargeur de mettre ces
sections en lecture seule avant de rendre le contrôle au
programme. L'utilisation habituelle de ce réglage est la protection contre
les attaques par réécriture GOT. Si cette option est désactivée, l'option
\fBbindnow\fP sera également désactivée.
.
.TP 
\fBbindnow\fP
Ce réglage, désactivé par défaut, ajoute \fB\-Wl,\-z,now\fP à \fBLDFLAGS\fP. Lors du
chargement du programme, tous les symboles dynamiques sont résolus, ce qui
permet au «\ PLT\ » entier (NdT\ : jargon détecté\ !) d'être en lecture seule
(du fait du réglage \fBrelro\fP ci\-dessus). Cette option ne peut être activée
si \fBrelro\fP ne l'est pas.
.
.TP 
\fBpie\fP
This setting (enabled by default since dpkg 1.18.11, and injected by default
by gcc on the amd64, arm64, armel, armhf, i386, mips, mipsel, mips64el,
ppc64el and s390x Debian architectures) adds the required options if needed
to enable or disable PIE. When enabled and injected by gcc, adds
nothing. When enabled and not injected by gcc, adds \fB\-fPIE\fP to \fBCFLAGS\fP,
\fBCXXFLAGS\fP, \fBOBJCFLAGS\fP, \fBOBJCXXFLAGS\fP, \fBGCJFLAGS\fP, \fBFFLAGS\fP and
\fBFCFLAGS\fP, and \fB\-fPIE \-pie\fP to \fBLDFLAGS\fP. When disabled and injected by
gcc, adds \fB\-fno\-PIE\fP to \fBCFLAGS\fP, \fBCXXFLAGS\fP, \fBOBJCFLAGS\fP,
\fBOBJCXXFLAGS\fP, \fBGCJFLAGS\fP, \fBFFLAGS\fP and \fBFCFLAGS\fP, and \fB\-fno\-PIE
\-no\-pie\fP to \fBLDFLAGS\fP.

Position Independent Executable are needed to take advantage of Address
Space Layout Randomization, supported by some kernel versions. While ASLR
can already be enforced for data areas in the stack and heap (brk and mmap),
the code areas must be compiled as position\-independent. Shared libraries
already do this (\fB\-fPIC\fP), so they gain ASLR automatically, but binary
\&.text regions need to be build PIE to gain ASLR. When this happens, ROP
(Return Oriented Programming) attacks are much harder since there are no
static locations to bounce off of during a memory corruption attack.

PIE is not compatible with \fB\-fPIC\fP, so in general care must be taken when
building shared objects. But because the PIE flags emitted get injected via
gcc specs files, it should always be safe to unconditionally set them
regardless of the object type being compiled or linked.

Static libraries can be used by programs or other shared libraries.
Depending on the flags used to compile all the objects within a static
library, these libraries will be usable by different sets of objects:

.RS
.TP 
none
Cannot be linked into a PIE program, nor a shared library.
.TP 
\fB\-fPIE\fP
Can be linked into any program, but not a shared library (recommended).
.TP 
\fB\-fPIC\fP
Can be linked into any program and shared library.
.RE

.IP
If there is a need to set these flags manually, bypassing the gcc specs
injection, there are several things to take into account. Unconditionally
and explicitly passing \fB\-fPIE\fP, \fB\-fpie\fP or \fB\-pie\fP to a build\-system using
libtool is safe as these flags will get stripped when building shared
libraries.  Otherwise on projects that build both programs and shared
libraries you might need to make sure that when building the shared
libraries \fB\-fPIC\fP is always passed last (so that it overrides any previous
\fB\-PIE\fP) to compilation flags such as \fBCFLAGS\fP, and \fB\-shared\fP is passed
last (so that it overrides any previous \fB\-pie\fP) to linking flags such as
\fBLDFLAGS\fP. \fBNote:\fP This should not be needed with the default gcc specs
machinery.

.IP
Additionally, since PIE is implemented via a general register, some register
starved architectures (but not including i386 anymore since optimizations
implemented in gcc >= 5) can see performance losses of up to 15% in very
text\-segment\-heavy application workloads; most workloads see less than
1%. Architectures with more general registers (e.g. amd64)  do not see as
high a worst\-case penalty.
.SS reproducible
Les options de compilation (détaillées ci\-dessous) peuvent aider à améliorer
la reproductibilité de la construction ou fournir des messages
d'avertissement supplémentaires lors de la compilation. Sauf mention
contraire (voir ci\-dessous), ces options sont activées par défaut pour les
architectures qui les gèrent.
.TP 
\fBtimeless\fP
This setting (enabled by default) adds \fB\-Wdate\-time\fP to \fBCPPFLAGS\fP.  This
will cause warnings when the \fB__TIME__\fP, \fB__DATE__\fP and \fB__TIMESTAMP__\fP
macros are used.
.
.TP 
\fBfixdebugpath\fP
This setting (enabled by default) adds
\fB\-fdebug\-prefix\-map=\fP\fIBUILDPATH\fP\fB=.\fP to \fBCFLAGS\fP, \fBCXXFLAGS\fP,
\fBOBJCFLAGS\fP, \fBOBJCXXFLAGS\fP, \fBGCJFLAGS\fP, \fBFFLAGS\fP and \fBFCFLAGS\fP where
\fBBUILDPATH\fP is set to the top\-level directory of the package being built.
This has the effect of removing the build path from any generated debug
symbols.
.
.SH ENVIRONNEMENT
Deux jeux de variables d'environnement effectuent les mêmes opérations. Le
premier (DEB_\fIdrapeau\fP_\fIopération\fP) ne devrait jamais être utilisé depuis
\fBdebian/rules\fP. Il est destiné aux utilisateurs souhaitant recompiler le
paquet source avec des drapeaux de compilation modifiés. Le second
(DEB_\fIdrapeau\fP_MAINT_\fIopération\fP) ne doit être utilisé que dans
\fBdebian/rules\fP par les responsables de paquets pour modifier les drapeaux
de compilation concernés.
.TP 
\fBDEB_\fP\fIdrapeau\fP\fB_SET\fP
.TQ
\fBDEB_\fP\fIdrapeau\fP\fB_MAINT_SET\fP
Cette variable permet de forcer la valeur renvoyée pour le \fIdrapeau\fP
indiqué.
.TP 
\fBDEB_\fP\fIdrapeau\fP\fB_STRIP\fP
.TQ
\fBDEB_\fP\fIdrapeau\fP\fB_MAINT_STRIP\fP
Cette variable peut être utilisée pour fournir une liste d'options (séparées
par des espaces) qui seront retirées du jeu de drapeaux renvoyé pour le
\fIdrapeau\fP indiqué.
.TP 
\fBDEB_\fP\fIdrapeau\fP\fB_APPEND\fP
.TQ
\fBDEB_\fP\fIdrapeau\fP\fB_MAINT_APPEND\fP
Cette variable permet d'ajouter des options à la valeur renvoyée pour le
\fIdrapeau\fP indiqué.
.TP 
\fBDEB_\fP\fIdrapeau\fP\fB_PREPEND\fP
.TQ
\fBDEB_\fP\fIdrapeau\fP\fB_MAINT_PREPEND\fP
Cette variable permet de préfixer la valeur renvoyée pour le \fIdrapeau\fP
indiqué par des options supplémentaires.
.TP 
\fBDEB_BUILD_OPTIONS\fP
.TQ
\fBDEB_BUILD_MAINT_OPTIONS\fP
Ces variables peuvent être utilisées par un utilisateur ou un responsable de
paquet pour activer ou désactiver différentes options de zone qui affectent
les drapeaux de construction. La variable \fBDEB_BUILD_MAINT_OPTIONS\fP
outrepasse tous les paramètres de la zone d'options
\fBDEB_BUILD_OPTIONS\fP. Voir la section \fBZONES D'OPTION\fP pour plus de
détails.
.TP 
\fBDEB_VENDOR\fP
This setting defines the current vendor.  If not set, it will discover the
current vendor by reading \fB%PKGCONFDIR%/origins/default\fP.
.TP 
\fBDEB_BUILD_PATH\fP
This variable sets the build path (since dpkg 1.18.8) to use in features
such as \fBfixdebugpath\fP so that they can be controlled by the caller.  This
variable is currently Debian and derivatives\-specific.
.
.SH FICHIERS
.SS "Fichiers de configuration."
.TP 
\fB%PKGCONFDIR%/buildflags.conf\fP
Fichier de configuration pour l'ensemble du système.
.TP 
\fB$XDG_CONFIG_HOME/dpkg/buildflags.conf\fP or 
.TQ
\fB$HOME/.config/dpkg/buildflags.conf\fP
Fichier de configuration propre à l'utilisateur
.SS "Gestion de l'empaquetage"
.TP 
\fB%PKGDATADIR%/buildflags.mk\fP
Fragment de fichier Makefile qui chargera (et facultativement exportera)
dans les variables (depuis dpkg 1.16.1) tous les drapeaux pris en charge par
\fBdpkg\-buildflags\fP.
.
.SH EXEMPLES
Pour passer des drapeaux de compilation à une commande de compilation dans
un Makefile\ :
.PP
.RS 4
.nf
$(MAKE) $(shell dpkg\-buildflags \-\-export=cmdline)

\&./configure $(shell dpkg\-buildflags \-\-export=cmdline)
.fi
.RE
.PP
To set build flags in a shell script or shell fragment, \fBeval\fP can be used
to interpret the output and to export the flags in the environment:
.PP
.RS 4
.nf
eval "$(dpkg\-buildflags \-\-export=sh)" && make
.fi
.RE
.PP
ou définir les paramètres de position à passer à la commande\ :
.PP
.RS 4
.nf
eval "set \-\- $(dpkg\-buildflags \-\-export=cmdline)"
for dir in a b c; do (cd $dir && ./configure "$@" && make); done
.fi
.RE
.
.SS "Utilisation dans debian/rules"
Il faut appeler \fBdpkg\-buildflags\fP ou inclure \fBbuildflags.mk\fP à partir du
fichier \fBdebian/rules\fP pour obtenir les drapeaux de compilation nécessaires
à passer au système de construction. Veuillez noter que les anciennes
versions de \fBdpkg\-buildpackage\fP (antérieures à dpkg 1.16.1) exportaient ces
drapeaux automatiquement. Néanmoins, il est déconseillé de dépendre de ce
comportement parce qu'il casse l'appel manuel de \fBdebian/rules\fP.
.PP
Pour les paquets avec des systèmes de construction du style autoconf, il est
possible de passer les options appropriées à configure ou \fBmake\fP(1)
directement, comme vu ci\-dessus.
.PP
Pour d'autres système de construction ou si on souhaite un contrôle
extrêmement précis sur le choix et la position où sont passés les drapeaux,
\fB\-\-get\fP peut être utilisé. Autrement, il est possible d'inclure
\fBbuildflags.mk\fP qui s'occupe de l'appel de \fBdpkg\-buildflags\fP et du
placement des drapeaux de compilation dans les variables de make.
.PP
Si vous voulez exporter tous les drapeaux de compilation dans
l'environnement (où le système de construction peut les récupérer)\ :
.PP
.RS 4
.nf
DPKG_EXPORT_BUILDFLAGS = 1
include %PKGDATADIR%/buildflags.mk
.fi
.RE
.PP
Pour un contrôle supplémentaire sur ce qui est exporté, vous pouvez exporter
manuellement les variables (puisque aucune n'est exportée par défaut)\ :
.PP
.RS 4
.nf
include %PKGDATADIR%/buildflags.mk
export CPPFLAGS CFLAGS LDFLAGS
.fi
.RE
.PP
Et enfin, vous pouvez bien sûr passer manuellement les drapeaux aux
commandes\ :
.PP
.RS 4
.nf
include %PKGDATADIR%/buildflags.mk
build\-arch:
\&	$(CC) \-o hello hello.c $(CPPFLAGS) $(CFLAGS) $(LDFLAGS)
.fi
.RE
