.\" dpkg manual page - dpkg-checkbuilddeps(1)
.\"
.\" Copyright © 2001 Joey Hess <joeyh@debian.org>
.\" Copyright © 2007-2013, 2015 Guillem Jover <guillem@debian.org>
.\" Copyright © 2008-2011 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-checkbuilddeps 1 %RELEASE_DATE% %VERSION% "suite dpkg"
.nh
.SH NOM
dpkg\-checkbuilddeps \- vérifier les dépendances et les conflits de
construction
.
.SH SYNOPSIS
\fBdpkg\-checkbuilddeps\fP [\fIoption\fP...] [\fIfichier\-control\fP]
.
.SH DESCRIPTION
Ce programme vérifie si les dépendances et les conflits de construction
listés dans le fichier control existent dans les paquets installés sur le
système. S'il en existe, il les affiche et se termine avec un code de retour
différent de 0.
.P
Par défaut, le fichier \fIdebian/control\fP est lu, mais un autre nom de
fichier peut être indiqué sur la ligne de commande.
.
.SH OPTIONS
.TP 
\fB\-\-admindir\fP=\fIdir\fP
Change the location of the \fBdpkg\fP database (since dpkg 1.14.0).  The
default location is \fI%ADMINDIR%\fP.
.TP 
\fB\-A\fP
Ignore \fBBuild\-Depends\-Arch\fP and \fBBuild\-Conflicts\-Arch\fP lines (since dpkg
1.16.4).  Use when only arch\-indep packages will be built, or combine with
\fB\-B\fP when only a source package is to be built.
.TP 
\fB\-B\fP
Ignore les lignes \fBBuild\-Depends\-Indep\fP et \fBBuild\-Conflicts\-Indep\fP. À
utiliser lorsque seuls des paquets dépendants de l'architecture sont
construits ou à combiner avec \fB\-A\fP si seul un paquet source est construit.
.TP 
\fB\-I\fP
Ignore built\-in build depends and conflicts (since dpkg 1.18.2).  These are
implicit dependencies that are usually required on a specific distribution,
the so called Build\-Essential package set.
.TP 
\fB\-d \fP\fIchaine\-des\-dépendances\-pour\-la\-construction\fP
.TP 
\fB\-c \fP\fIchaîne\-des\-conflits\-de\-construction\fP
Use the given build dependencies/conflicts instead of those contained in the
\fIdebian/control\fP file (since dpkg 1.14.17).
.TP 
\fB\-a \fP\fIarch\fP
Check build dependencies/conflicts assuming that the package described in
the control file is to be built for the given host architecture instead of
the architecture of the current system (since dpkg 1.16.2).
.TP 
\fB\-P \fP\fIprofil\fP[\fB,\fP...]
Check build dependencies/conflicts assuming that the package described in
the control file is to be built for the given build profile(s)  (since dpkg
1.17.2).  The argument is a comma\-separated list of profile names.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Affiche un message d'aide puis quitte.
.TP 
\fB\-\-version\fP
Affiche le numéro de version puis quitte.
.
.SH ENVIRONNEMENT
.TP 
\fBDEB_BUILD_PROFILES\fP
Si cette option est utilisée, elle sera utilisée comme profil(s) de
construction actif(s) pour le paquet à construire. C'est une liste séparée
par des espaces de noms de profil. Cette option est outrepassée par l'option
\fB\-P\fP.
