.\" dpkg manual page - dpkg-deb(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 1999 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2007-2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-deb 1 %RELEASE_DATE% %VERSION% "suite dpkg"
.nh
.SH NOM
dpkg\-deb \- outil pour la manipulation des archives (.deb) des paquets Debian
.
.SH SYNOPSIS
\fBdpkg\-deb\fP [\fIoptions\fP...] \fIcommande\fP
.
.SH DESCRIPTION
\fBdpkg\-deb\fP crée un paquet, dépaquette une archive ou donne des
renseignements sur les archives Debian
.PP
\fBdpkg\fP sert à installer ou à supprimer des paquets sur le système.
.PP
Il est possible d'exécuter \fBdpkg\-deb\fP en appelant \fBdpkg\fP avec les options
de \fBdpkg\-deb\fP. \fBdpkg\fP comprend que \fBdpkg\-deb\fP est appelé et le lance.
.PP
For most commands taking an input archive argument, the archive can be read
from standard input if the archive name is given as a single minus character
(«\fB\-\fP»); otherwise lack of support will be documented in their respective
command description.
.
.SH COMMANDES
.TP 
\fB\-b\fP, \fB\-\-build\fP \fIbinary\-directory\fP [\fIarchive\fP|\fIdirectory\fP]
Creates a debian archive from the filesystem tree stored in
\fIbinary\-directory\fP. \fIbinary\-directory\fP must have a \fBDEBIAN\fP subdirectory,
which contains the control information files such as the control file
itself. This directory will \fInot\fP appear in the binary package's filesystem
archive, but instead the files in it will be put in the binary package's
control information area.

Unless you specify \fB\-\-nocheck\fP, \fBdpkg\-deb\fP will read \fBDEBIAN/control\fP and
parse it. It will check the file for syntax errors and other problems, and
display the name of the binary package being built.  \fBdpkg\-deb\fP will also
check the permissions of the maintainer scripts and other files found in the
\fBDEBIAN\fP control information directory.

If no \fIarchive\fP is specified then \fBdpkg\-deb\fP will write the package into
the file \fIbinary\-directory\fP\fB.deb\fP.

Si l'archive qui doit être créée existe déjà, elle est remplacée.

If the second argument is a directory then \fBdpkg\-deb\fP will write to the
file \fIdirectory\fP\fB/\fP\fIpackage\fP\fB_\fP\fIversion\fP\fB_\fP\fIarch\fP\fB.deb.\fP When a
target directory is specified, rather than a file, the \fB\-\-nocheck\fP option
may not be used (since \fBdpkg\-deb\fP needs to read and parse the package
control file to determine which filename to use).
.TP 
\fB\-I\fP, \fB\-\-info\fP \fIarchive\fP [\fInom\-fichier\-control\fP...]
Donne des renseignements sur une archive de paquet binaire.

Quand aucun argument \fIfichier\-control\fP n'est précisé, un résumé du contenu
du paquet ainsi que son fichier «\ control\ » sont affichés.

Quand un argument \fIfichier\-control\fP est précisé, \fBdpkg\-deb\fP affiche les
éléments dans l'ordre d'apparition\ ; quand l'un des éléments n'est pas
présent, il affiche un message d'erreur sur «\ stderr\ » et quitte avec un
code égal à 2.
.TP 
\fB\-W\fP, \fB\-\-show\fP \fIarchive\fP
Cette option donne des informations sur l'archive d'un paquet binaire selon
le format spécifié par l'argument \fB\-\-showformat\fP. Le format par défaut
affiche le nom et la version du paquet sur une seule ligne, séparés par une
tabulation.
.TP 
\fB\-f\fP, \fB\-\-field\fP \fIarchive\fP [\fInom\-du\-champ\-de\-control\fP...]
Extrait les renseignements du fichier «\ control\ » de l'archive du paquet
binaire.

If no \fIcontrol\-field\-name\fPs are specified then it will print the whole
control file.

If any are specified then \fBdpkg\-deb\fP will print their contents, in the
order in which they appear in the control file. If more than one
\fIcontrol\-field\-name\fP is specified then \fBdpkg\-deb\fP will precede each with
its field name (and a colon and space).

L'absence des champs demandés ne provoque pas de message d'erreur.
.TP 
\fB\-c\fP, \fB\-\-contents\fP \fIarchive\fP
Liste seulement l'arborescence des fichiers d'une archive de paquet. C'est
en fait le résultat produit par la commande \fBtar\fP et une option
d'énumération verbeuse.
.TP 
\fB\-x\fP, \fB\-\-extract\fP \fIarchive répertoire\fP
Extrait l'arborescence des fichiers d'un paquet archive dans le répertoire
spécifié.

Il faut remarquer que l'extraction d'un paquet dans le répertoire root \fIne
produit pas\fP une installation correcte\ ! Utilisez \fBdpkg\fP pour
l'installation des paquets.

\fIrépertoire\fP est créé si nécessaire (mais pas ses répertoires parents) et
ses permissions sont modifiées pour correspondre au contenu du paquet.
.TP 
\fB\-X\fP, \fB\-\-vextract\fP \fIarchive répertoire\fP
Comme \fB\-\-extract\fP (\fB\-x\fP) avec \fB\-\-verbose\fP (\fB\-v\fP), ce qui affiche la
liste des fichiers au fur et à mesure qu'ils sont extraits.
.TP 
\fB\-R\fP, \fB\-\-raw\-extract\fP \fIarchive répertoire\fP
Extracts the filesystem tree from a package archive into a specified
directory, and the control information files into a \fBDEBIAN\fP subdirectory
of the specified directory (since dpkg 1.16.1).

Le répertoire cible est créé si nécessaire (mais pas ses répertoires
parents).

The input archive is not (currently) processed sequentially, so reading it
from standard input («\fB\-\fP») is \fBnot\fP supported.
.TP 
\fB\-\-ctrl\-tarfile\fP \fIarchive\fP
Extrait les données de contrôle d'un paquet binaire et les envoie sur la
sortie standard dans le format propre à la commande \fBtar\fP (depuis dpkg
1.17.14). En combinant cette option avec la commande \fBtar\fP(1), on peut
ainsi extraire un fichier de contrôle précis d'une archive de
paquet. L'archive d'entrée sera toujours traitée séquentiellement.
.TP 
\fB\-\-fsys\-tarfile\fP \fIarchive\fP
Extrait les données de l'arborescence d'un paquet binaire et les envoie sur
la sortie standard dans le format propre à la commande \fBtar\fP. En combinant
cette option avec la commande \fBtar\fP(1), on peut ainsi extraire un fichier
précis d'une archive de paquet. L'archive d'entrée sera toujours traitée
séquentiellement.
.TP 
\fB\-e\fP, \fB\-\-control\fP \fIarchive\fP [\fIrépertoire\fP]
Extrait les fichiers de contrôle d'une archive de paquet dans le répertoire
spécifié.

Quand aucun répertoire n'est précisé, on utilise un sous\-répertoire
\fBDEBIAN\fP du répertoire actuel.

Le répertoire cible est créé si nécessaire (mais pas ses répertoires
parents).
.TP 
\fB\-?\fP, \fB\-\-help\fP
Affiche un message d'aide puis quitte.
.TP 
\fB\-\-version\fP
Affiche le numéro de version puis quitte.
.
.SH OPTIONS
.TP 
\fB\-\-showformat=\fP\fIformat\fP
Cette option sert à spécifier le format de sortie de l'option \fB\-\-show\fP. Ce
format sera utilisé pour chaque paquet listé.

The string may reference any status field using the “${\fIfield\-name\fP}” form,
a list of the valid fields can be easily produced using \fB\-I\fP on the same
package. A complete explanation of the formatting options (including escape
sequences and field tabbing) can be found in the explanation of the
\fB\-\-showformat\fP option in \fBdpkg\-query\fP(1).

The default for this field is “${Package}\et${Version}\en”.
.TP 
\fB\-z\fP\fIniveau_compression\fP
Specify which compression level to use on the compressor backend, when
building a package (default is 9 for gzip, 6 for xz).  The accepted values
are 0\-9 with: 0 being mapped to compressor none for gzip.  Before dpkg
1.16.2 level 0 was equivalent to compressor none for all compressors.
.TP 
\fB\-S\fP\fIstratégie\-compression\fP
Specify which compression strategy to use on the compressor backend, when
building a package (since dpkg 1.16.2). Allowed values are \fBnone\fP (since
dpkg 1.16.4), \fBfiltered\fP, \fBhuffman\fP, \fBrle\fP and \fBfixed\fP for gzip (since
dpkg 1.17.0) and \fBextreme\fP for xz.
.TP 
\fB\-Z\fP\fItype_compression\fP
Specify which compression type to use when building a package.  Allowed
values are \fBgzip\fP, \fBxz\fP (since dpkg 1.15.6), and \fBnone\fP (default is
\fBxz\fP).
.TP 
\fB\-\-uniform\-compression\fP
Specify that the same compression parameters should be used for all archive
members (i.e. \fBcontrol.tar\fP and \fBdata.tar\fP; since dpkg 1.17.6).  Otherwise
only the \fBdata.tar\fP member will use those parameters. The only supported
compression types allowed to be uniformly used are \fBnone\fP, \fBgzip\fP and
\fBxz\fP.
.TP 
\fB\-\-deb\-format=\fP\fIformat\fP
Set the archive format version used when building (since dpkg 1.17.0).
Allowed values are \fB2.0\fP for the new format, and \fB0.939000\fP for the old
one (default is \fB2.0\fP).

L'ancien format d'archive, moins facilement compris par les outils
non\-Debian, est maintenant dépassé. On l'utilise seulement quand on
construit des paquets qui doivent être analysés par des versions de dpkg
plus anciennes que la version 0.93.76 (septembre 1995), qui fut produite
uniquement pour le format «\ i386 a.out\ ».
.TP 
\fB\-\-nocheck\fP
Empêche les vérifications normales de \fBdpkg\-deb \-\-build\fP quant au contenu
proposé d'une archive. De cette façon, on peut construire n'importe quelle
archive, aussi défectueuse soit\-elle.
.TP 
\fB\-v\fP, \fB\-\-verbose\fP
Enables verbose output (since dpkg 1.16.1).  This currently only affects
\fB\-\-extract\fP making it behave like \fB\-\-vextract\fP.
.TP 
\fB\-D\fP, \fB\-\-debug\fP
Permet les messages de débogage. Ce n'est pas très intéressant.
.
.SH "CODE DE SORTIE"
.TP 
\fB0\fP
L'action demandée s'est correctement déroulée.
.TP 
\fB2\fP
Fatal or unrecoverable error due to invalid command\-line usage, or
interactions with the system, such as accesses to the database, memory
allocations, etc.
.
.SH ENVIRONNEMENT
.TP 
\fBTMPDIR\fP
Si cette option est utilisée, \fBdpkg\fP l'utilisera comme répertoire pour
créer les fichiers et répertoires temporaires.
.TP 
\fBSOURCE_DATE_EPOCH\fP
If set, it will be used as the timestamp (as seconds since the epoch) in the
\fBdeb\fP(5)'s \fBar\fP(5) container and used to clamp the mtime in the \fBtar\fP(5)
file entries.
.
.SH NOTES
N'essayez pas d'installer un logiciel avec \fBdpkg\-deb\fP\ ! Vous devez utiliser
\fBdpkg\fP pour être sûr que tous ses fichiers sont correctement mis en place,
que les scripts du paquet sont exécutés et que son contenu et son état sont
enregistrés.
.
.SH BOGUES
\fBdpkg\-deb \-I\fP \fIpaquet1\fP\fB.deb\fP \fIpaquet2\fP\fB.deb\fP se trompe.

Il n'existe pas d'authentification des fichiers \fB.deb\fP. Il n'existe même
pas de système de somme de contrôle immédiat. Les outils de haut niveau
comme APT gèrent l'authentification des paquets \fB.deb\fP récupérés depuis un
dépôt donné et la plupart des paquets fournissent désormais une somme de
contrôle MD5 créée par debian/rules. Cependant, ceci n'est pas directement
géré par les outils de plus bas niveau.
.
.SH "VOIR AUSSI"
\fBdeb\fP(5), \fBdeb\-control\fP(5), \fBdpkg\fP(1), \fBdselect\fP(1).
