.\" dpkg manual page - dpkg-genbuildinfo(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ian@chiark.chu.cam.ac.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2008-2010 Raphaël Hertzog <hertzog@debian.org>
.\" Copyright © 2006-2016 Guillem Jover <guillem@debian.org>
.\" Copyright © 2015 Jérémy Bobbio <lunar@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-genbuildinfo 1 %RELEASE_DATE% %VERSION% "suite dpkg"
.nh
.SH NOM
dpkg\-genbuildinfo \- generate Debian .buildinfo files
.
.SH SYNOPSIS
\fBdpkg\-genbuildinfo\fP [\fIoption\fP...]
.br
.
.SH DESCRIPTION
\fBdpkg\-genbuildinfo\fP reads information from an unpacked and built Debian
source tree and from the files it has generated and generates a Debian
control file describing the build environment and the build artifacts
(\fB.buildinfo\fP file).
.P
This command was introduced in dpkg 1.18.11.
.
.SH OPTIONS
.TP 
\fB\-\-build=\fP\fItype\fP
Specifies the build \fItype\fP from a comma\-separated list of components.

The allowed values are:
.RS
.TP 
\fBany\fP
Generate build information including unqualified build dependencies
(\fBBuild\-Depends\fP) and architecture specific build dependencies
(\fBBuild\-Depends\-Arch\fP).
.TP 
\fBall\fP
Generate build information including unqualified build dependencies
(\fBBuild\-Depends\fP) and architecture independent build dependencies
(\fBBuild\-Depends\-Indep\fP).
.TP 
\fBsource\fP
Effectively ignored; generate build information with just the unqualified
build dependencies (\fBBuild\-Depends\fP).
.TP 
\fBbinary\fP
Generate build information with all three types of build dependencies.  This
is an alias for \fBany,all\fP.
.TP 
\fBfull\fP
Generate build information with all three types of build dependencies.  This
is an alias for \fBany,all,source\fP, and the same as the default case when no
build option is specified.
.RE
.TP 
\fB\-c\fP\fIfichier/control\fP
Indique le principal fichier de contrôle des sources où trouver des
renseignements. Par défaut, c'est le fichier \fBdebian/control\fP.
.TP 
\fB\-l\fP\fIfichier\-des\-changements\fP
Indique le fichier des changements où trouver des renseignements. Par
défaut, c'est le fichier \fBdebian/changelog\fP.
.TP 
\fB\-f\fP\fIfichier/liste\-des\-fichiers\fP
Specifies where is the list of files that have been produced by the build,
rather than using \fBdebian/files\fP.
.TP 
\fB\-F\fP\fIformat\-du\-fichiers\-des\-changements\fP
Indique le format du fichier des changements. Voir \fBdpkg\-parsechangelog\fP(1)
pour plus d'informations à propos des formats gérés.
.TP 
\fB\-O\fP[\fInom\-de\-fichier\fP]
Print the buildinfo file to standard output (or \fIfilename\fP if specified)
rather than to
\fIdir\fP\fB/\fP\fIsource\-name\fP\fB_\fP\fIsource\-version\fP\fB_\fP\fIarch\fP\fB.buildinfo\fP (where
\fIdir\fP is \fB..\fP by default or \fIupload\-files\-dir\fP if \fB\-u\fP was used).
.TP 
\fB\-u\fP\fIrépertoire\-des\-fichiers\-à\-installer\fP
Look for the files to be uploaded in \fIupload\-files\-dir\fP rather than \fB..\fP
(\fBdpkg\-genbuildinfo\fP needs to find these files so that it can include their
sizes and checksums in the \fB.buildinfo\fP file).
.TP 
\fB\-\-always\-include\-path\fP
By default, the \fBBuild\-Path\fP field will only be written if the current
directory starts with a whitelisted pattern.

On Debian and derivatives the pattern matches on \fB/build/\fP at the start of
the pathname.

Specify this option to always write a \fBBuild\-Path\fP field when generating
the \fB.buildinfo\fP.
.TP 
\fB\-\-admindir\fP=\fIdir\fP
Change l'endroit où se trouve la base de données de \fBdpkg\fP. Par défaut,
c'est \fI%ADMINDIR%\fP.
.TP 
\fB\-q\fP
\fBdpkg\-genbuildinfo\fP might produce informative messages on standard error.
\fB\-q\fP suppresses these messages.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Affiche un message d'aide puis quitte.
.TP 
\fB\-\-version\fP
Affiche le numéro de version puis quitte.
.
.SH FICHIERS
.TP 
\fBdebian/files\fP
The list of generated files.  \fBdpkg\-genbuildinfo\fP reads the data here when
producing a \fB.buildinfo\fP file.
.
.SH "VOIR AUSSI"
\fBdeb\-buildinfo\fP(5).
