.\" dpkg manual page - dpkg-genchanges(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006-2016 Guillem Jover <guillem@debian.org>
.\" Copyright © 2008-2010 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-genchanges 1 %RELEASE_DATE% %VERSION% "suite dpkg"
.nh
.SH NOM
dpkg\-genchanges \- Créer des fichiers «\ .changes\ ».
.
.SH SYNOPSIS
\fBdpkg\-genchanges\fP [\fIoption\fP...]
.br
.
.SH DESCRIPTION
\fBdpkg\-genchanges\fP lit les informations à la fois dans une arborescence
debian dépaquetée et déjà construite et sur les fichiers qui ont été créés\ ;
puis il crée un fichier de contrôle pour la mise en place dans l'archive
Debian (c'est le fichier \fB.changes\fP).
.
.SH OPTIONS
.TP 
\fB\-\-build=\fP\fItype\fP
Specifies the build \fItype\fP from a comma\-separated list of components (since
dpkg 1.18.5).

The allowed values are:
.RS
.TP 
\fBsource\fP
Upload the source package.
.TP 
\fBany\fP
Upload the architecture specific binary packages.
.TP 
\fBall\fP
Upload the architecture independent binary packages.
.TP 
\fBbinary\fP
Upload the architecture specific and independent binary packages.  This is
an alias for \fBany,all\fP.
.TP 
\fBfull\fP
Upload everything.  This is alias for \fBsource,any,all\fP, and the same as the
default case when no build option is specified.
.RE
.TP 
\fB\-g\fP
Equivalent to \fB\-\-build=source,all\fP (since dpkg 1.17.11).
.TP 
\fB\-G\fP
Equivalent to \fB\-\-build=source,any\fP (since dpkg 1.17.11).
.TP 
\fB\-b\fP
Equivalent to \fB\-\-build=binary\fP or \fB\-\-build=any,all\fP.
.TP 
\fB\-B\fP
Equivalent to \fB\-\-build=any\fP.
.TP 
\fB\-A\fP
Equivalent to \fB\-\-build=all\fP.
.TP 
\fB\-S\fP
Equivalent to \fB\-\-build=source\fP.
.PP
Les options \fB\-s\fP\fIx\fP contrôlent si l'archive source d'origine est incluse
dans l'installation produite si un paquet source est créé (c'est\-à\-dire que
les options \fB\-b\fP ou \fB\-B\fP n'ont pas été utilisées).
.TP 
\fB\-si\fP
Par défaut, ou quand l'option est indiquée, les sources d'origine sont
incluses uniquement si le numéro de version majeur (c'est\-à\-dire la version
sans les parties epoch et «\ révision Debian\ ») diffère de la version
précédente indiquée dans le fichier de changelog.
.TP 
\fB\-sa\fP
Force l'inclusion des sources d'origine.
.TP 
\fB\-sd\fP
Force l'exclusion des sources d'origine et inclut seulement le «\ diff\ ».
.fi
.TP 
\fB\-v\fP\fIversion\fP
Force l'utilisation des informations contenues dans le fichier «\ changelog\ »
et qui concernent toutes les versions strictement plus récentes que
\fIversion\fP.
.TP 
\fB\-C\fP\fIdescription\-des\-changements\fP
Lit la description des changements dans le fichier
\fIdescription\-des\-changements\fP plutôt que dans le fichier «\ changelog\ » de
l'arborescence source.
.TP 
\fB\-m\fP\fIadresse\-du\-responsable\fP
Utilise \fIadresse\-du\-responsable\fP comme nom et adresse électronique du
responsable de paquet plutôt que d'utiliser les informations contenues dans
le fichier «\ control\ » de l'arborescence source.
.TP 
\fB\-e\fP\fIadresse\-du\-responsable\fP
Utilise \fIadresse\-du\-responsable\fP comme nom et adresse électronique du
responsable de paquet pour cette mise en place, plutôt que d'utiliser les
informations contenues dans le fichier «\ changelog\ » de l'arborescence
source.
.TP 
\fB\-V\fP\fInom\fP\fB=\fP\fIvaleur\fP
Fixe la valeur d'une variable de substitution. Consultez \fBdeb\-substvars\fP(5)
pour une discussion sur la valeur de substitution.
.TP 
\fB\-T\fP\fIfichier/substvars\fP
Read substitution variables in \fIsubstvars\-file\fP; the default is
\fBdebian/substvars\fP.  No variable substitution is done on any of the fields
that are output, however the special variable \fIFormat\fP will override the
field of the same name. This option can be used multiple times to read
substitution variables from multiple files (since dpkg 1.15.6).

.TP 
\fB\-D\fP\fIchamp\fP\fB=\fP\fIvaleur\fP
Remplace ou ajoute en sortie un champ dans le fichier de contrôle.
.TP 
\fB\-U\fP\fIchamp\fP
Supprime en sortie un champ dans le fichier de contrôle.
.TP 
\fB\-c\fP\fIfichier/control\fP
Indique le principal fichier de contrôle des sources où trouver des
renseignements. Par défaut, c'est le fichier \fBdebian/control\fP.
.TP 
\fB\-l\fP\fIfichier\-des\-changements\fP
Indique le fichier des changements où trouver des renseignements. Par
défaut, c'est le fichier \fBdebian/changelog\fP.
.TP 
\fB\-f\fP\fIfichier/liste\-des\-fichiers\fP
Lit ou écrit la liste des fichiers qui doivent être envoyés vers l'archive
dans ce fichier plutôt que dans le fichier \fBdebian/files\fP.
.TP 
\fB\-F\fP\fIformat\-du\-fichiers\-des\-changements\fP
Indique le format du fichier des changements. Voir \fBdpkg\-parsechangelog\fP(1)
pour plus d'informations à propos des formats gérés.
.TP 
\fB\-u\fP\fIrépertoire\-des\-fichiers\-à\-installer\fP
Cherche les fichiers à installer dans \fIrépertoire\-des\-fichiers\-à\-installer\fP
plutôt que dans \fB..\fP (\fBdpkg\-genchanges\fP doit trouver ces fichiers de
manière à mettre leurs tailles et leurs sommes de contrôle dans le fichier
\&\fB.changes\fP).
.TP 
\fB\-q\fP
\fBdpkg\-genchanges\fP affiche habituellement des messages d'information sur la
sortie d'erreur standard\ ; par exemple, combien de fichiers source du paquet
sont en cours d'installation. \fB\-q\fP supprime ces messages.
.TP 
\fB\-O\fP[\fInom\-de\-fichier\fP]
Print the changes file to standard output (the default) or to \fIfilename\fP if
specified (since dpkg 1.18.5).
.TP 
\fB\-?\fP, \fB\-\-help\fP
Affiche un message d'aide puis quitte.
.TP 
\fB\-\-version\fP
Affiche le numéro de version puis quitte.
.
.SH FICHIERS
.TP 
\fBdebian/files\fP
La liste des fichiers créés qui seront envoyés sur le
serveur. \fBdpkg\-genchanges\fP lit dans ce fichier les données nécessaires à la
création du fichier \fB.changes\fP.
.
.SH "VOIR AUSSI"
.ad l
\fBdeb\-substvars\fP(5), \fBdeb\-src\-control\fP(5), \fBdeb\-src\-files\fP(5),
\fBdeb\-changelog\fP(5), \fBdeb\-changes\fP(5).
