.\" dpkg manual page - dpkg-parsechangelog(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006, 2011-2015 Guillem Jover <guillem@debian.org>
.\" Copyright © 2007-2008 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2009 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-parsechangelog 1 %RELEASE_DATE% %VERSION% "suite dpkg"
.nh
.SH NOM
dpkg\-parsechangelog \- Analyse un fichier changelog Debian.
.
.SH SYNOPSIS
\fBdpkg\-parsechangelog\fP [\fIoption\fP...]
.
.SH DESCRIPTION
\fBdpkg\-parsechangelog\fP lit et fait l'analyse du fichier «\ changelog\ » d'une
arborescence source dépaquetée et affiche les informations qu'il contient
sur la sortie standard et sous une forme lisible par la machine.
.
.SH OPTIONS
.TP 
\fB\-l\fP, \fB\-\-file\fP \fIchangelog\-file\fP
Specifies the changelog file to read information from.  A ‘\-’ can be used to
specify reading from standard input.  The default is \fBdebian/changelog\fP.
.TP 
\fB\-F\fP \fIchangelog\-format\fP
Specifies the format of the changelog. By default the format is read from a
special line near the bottom of the changelog or failing that defaults to
the \fBdebian\fP standard format. See also \fBCHANGELOG FORMATS\fP.
.TP 
\fB\-L\fP \fIlibdir\fP
Obsolete option without effect (since dpkg 1.18.8).  Setting the perl
environment variables \fBPERL5LIB\fP or \fBPERLLIB\fP has a similar effect when
looking for the parser perl modules.
.TP 
\fB\-S\fP, \fB\-\-show\-field\fP \fIchamp\fP
Indique le nom du champ à afficher (depuis dpkg 1.17.0). Le nom du champ
n'est pas affiché, mais seulement sa valeur.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Affiche un message d'aide puis quitte.
.TP 
\fB\-\-version\fP
Affiche le numéro de version puis quitte.
.SS "Options de filtrage"
The following options can be used to influence the output of the changelog
parser, e.g. the range of entries or the format of the output.
.TP 
\fB\-\-format\fP\fI format\-de\-sortie\fP
Set the output format. Currently supported values are \fBdpkg\fP and
\fBrfc822\fP.  \fBdpkg\fP is the classic output format (from before this option
existed) and the default. It consists of one paragraph in Debian control
format (see \fBdeb\-control\fP(5)). If more than one entry is requested, then
most fields are taken from the most recent entry, except otherwise stated:
.RS
.TP 
\fBSource:\fP\fI nom\-du\-paquet\fP
.TP 
\fBVersion:\fP\fI version\fP
.TP 
\fBDistribution:\fP\fI distribution\-cible\fP
.TP 
\fBUrgency:\fP\fI priorité\fP
La priorité la plus élevée de toutes les entrées incluses est utilisée,
suivie par les commentaires concaténés et séparés par une espace pour toutes
les versions demandées.
.TP 
\fBMaintainer:\fP\fI auteur\fP
.TP 
\fBDate:\fP\fI date\fP
The date of the entry as a string, as it appears in the changelog.  With a
\fBstrptime\fP(3) format "\fB%a, %d %b %Y %T %z\fP", but where the day of the week
might not actually correspond to the real day obtained from the rest of the
date string.  If you need a more accurate representation of the date, use
the \fBTimestamp\fP field, but take into account it might not be possible to
map it back to the exact value in this field.
.TP 
\fBTimestamp:\fP\fI timestamp\fP
The date of the entry as a timestamp in seconds since the epoch (since dpkg
1.18.8).
.TP 
\fBCloses:\fP\fI numéro\-bogue\fP
Les champs «\ Closes\ » de toutes les entrées incluses sont fusionnés.
.TP 
\fBChanges:\fP\fI entrées\-du\-fichier\-des\-changements\fP
Les textes de toutes les entrées de changelog sont concaténés. Pour faire de
ce champ un champ de contrôle Debian valide, les lignes multiples qui sont
vides sont remplacées par un point \fB«\ .\ »\fP et toutes les lignes sont
indentées par une seule espace. Le contenu exact dépend du format du
changelog.
.RE
.IP
Les champs \fBVersion\fP, \fBDistribution\fP, \fBUrgency\fP, \fBMaintainer\fP et
\fBChanges\fP sont obligatoires.
.IP
Il est possible d'avoir d'autres champs qui sont définis par l'utilisateur.
.IP
Le format \fBrfc822\fP utilise les mêmes champs mais le résultat est un
paragraphe distinct pour chaque entrée du changelog afin que toutes les
métadonnées de chaque entrée soit préservées.
.TP 
\fB\-\-all\fP
Include all changes. Note: other options have no effect when this is in use.
.TP 
\fB\-s\fP, \fB\-\-since\fP \fIversion\fP
.TQ
\fB\-v\fP \fIversion\fP
Include all changes later than \fIversion\fP.
.TP 
\fB\-u\fP, \fB\-\-until\fP \fIversion\fP
Include all changes earlier than \fIversion\fP.
.TP 
\fB\-f\fP, \fB\-\-from\fP \fIversion\fP
Include all changes equal or later than \fIversion\fP.
.TP 
\fB\-t\fP, \fB\-\-to\fP \fIversion\fP
Include all changes up to or equal than \fIversion\fP.
.TP 
\fB\-c\fP, \fB\-\-count\fP \fInumber\fP
.TQ
\fB\-n\fP \fInumber\fP
Include \fInumber\fP entries from the top (or the tail if \fInumber\fP is lower
than 0).
.TP 
\fB\-o\fP, \fB\-\-offset\fP \fInumber\fP
Change the starting point for \fB\-\-count\fP, counted from the top (or the tail
if \fInumber\fP is lower than 0).
.
.SH "FORMATS DE JOURNAUX DE MODIFICATIONS"
Il est possible d'utiliser un format différent de celui utilisé
habituellement, en fournissant un analyseur pour le format alternatif.

Afin que \fBdpkg\-parsechangelog\fP utilise le nouvel analyseur, il doit exister
une ligne, parmi les 40 dernières du fichier, qui corresponde à l'expression
régulière Perl “\fB\eschangelog\-format:\es+([0\-9a\-z]+)\eW\fP\ (la partie entre
parenthèses doit être le nom du format). Exemple\ :

       @@@ changelog\-format: \fIautreformat\fP @@@

Les noms de formats de journaux de modifications sont des chaînes non vides
de caractères alphanumériques.

If such a line exists then \fBdpkg\-parsechangelog\fP will look for the parser
as a \fBDpkg::Changelog::\fP\fIOtherformat\fP perl module; it is an error for it
not being present.  The parser name in the perl module will be automatically
capitalized.  The default changelog format is \fBdebian\fP, and a parser for it
is provided by default.

The parser should be derived from the Dpkg::Changelog class and implement
the required documented interface.

Si le format du journal des modifications analysé laisse toujours ou presque
une ligne blanche entre chaque changement, ces lignes blanches devraient
être retirées, afin de rendre l'affichage de sortie plus compact.

Si le journal des modifications ne contient pas d'informations de date ou de
nom de paquet, cette information doit être omise de l'affichage. L'analyseur
ne doit pas essayer de les calculer ou de les retrouver depuis d'autres
sources.

If the changelog does not have the expected format the parser should error
out, rather than trying to muddle through and possibly generating incorrect
output.

Un analyseur de journal de modifications ne doit pas du tout interagir avec
l'utilisateur.
.
.SH NOTES
All \fBParser Options\fP except for \fB\-v\fP are only supported since dpkg
1.14.16.
.PP
Short option parsing with non\-bundled values available only since dpkg
1.18.0.
.
.SH FICHIERS
.TP 
\fBdebian/changelog\fP
Le journal des modifications\ ; on s'en sert pour connaître les informations
qui dépendent d'une version du paquet source, par exemple l'urgence ou la
distribution d'une installation sur le serveur, les modifications faites
depuis telle édition et le numéro de la version source lui\-même.
.
.SH "VOIR AUSSI"
\fBdeb\-changelog\fP(5).
