.\" dpkg manual page - dpkg-scanpackages(1)
.\"
.\" Copyright © 1996 Michael Shields <shields@crosslink.net>
.\" Copyright © 2006 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2007, 2009, 2011-2014 Guillem Jover <guillem@debian.org>
.\" Copyright © 2009 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-scanpackages 1 %RELEASE_DATE% %VERSION% "suite dpkg"
.nh
.SH NOM
dpkg\-scanpackages \- créer des fichiers d'index de paquets.
.
.SH SYNOPSIS
\fBdpkg\-scanpackages\fP [\fIoption\fP...] \fIbinary\-path\fP [\fIoverride\-file\fP
[\fIpath\-prefix\fP]] \fB>\fP \fIPackages\fP
.
.SH DESCRIPTION
\fBdpkg\-scanpackages\fP trie une arborescence contenant des paquets binaires
Debian et crée un fichier «\ Packages\ » qui permettra à \fBapt\fP(8),
\fBdselect\fP(1), ou à un autre programme, de savoir quels sont les paquets
installables. Ces fichiers «\ Packages\ » sont semblables à ceux qu'on peut
trouver sur les sites d'archives Debian ou sur des CD. Quand on crée un
répertoire contenant des paquets qu'on veut installer sur un ensemble de
machines, on peut se servir soi\-même de \fBdpkg\-scanpackages\fP.
.PP
\fBNote:\fP If you want to access the generated Packages file with \fBapt\fP you
will probably need to compress the file with \fBxz\fP(1)  (generating a
Packages.xz file), \fBbzip2\fP(1)  (generating a Packages.bz2 file) or
\fBgzip\fP(1)  (generating a Packages.gz file). apt ignores uncompressed
Packages files except on local access (i.e.  \fBfile://\fP sources).
.PP
\fIbinary\-path\fP is the name of the tree of the binary packages to process
(for example, \fBcontrib/binary\-i386\fP).  It is best to make this relative to
the root of the Debian archive, because every Filename field in the new
Packages file will start with this string.
.PP
\fIoverride\-file\fP is the name of a file to read which contains information
about how the package fits into the distribution (the file can be compressed
since dpkg 1.15.5); see \fBdeb\-override\fP(5).
.PP
\fIchemin\-à\-préfixer\fP est une chaîne facultative qui préfixera les champs
«\ Filename\ ».
.PP
S'il existe plusieurs versions d'un paquet, seule la plus récente est
affichée en sortie. Si les paquets ont la même version mais diffèrent par
l'architecture, seul le premier trouvé est utilisé.
.
.SH OPTIONS
.TP 
\fB\-t\fP, \fB\-\-type\fP \fItype\fP
Recherche des fichiers *.\fItype\fP, plutôt que \fI*.deb\fP.
.TP 
\fB\-e\fP, \fB\-\-extra\-override\fP \fIfichier\fP
Scan \fIfile\fP to find supplementary overrides (the file can be compressed
since dpkg 1.15.5).  See \fBdeb\-extra\-override\fP(5)  for more information on
its format.
.TP 
\fB\-a\fP, \fB\-\-arch\fP \fIarch\fP
Utilise un motif équivalent à \fI*_all.deb\fP et à \fI*_arch.deb\fP, plutôt que de
rechercher tous les fichiers debs.
.TP 
\fB\-h\fP, \fB\-\-hash\fP \fIliste\-de\-hachage\fP
Only generate file hashes for the comma\-specified list specified (since dpkg
1.17.14).  The default is to generate all currently supported hashes.
Supported values: \fBmd5\fP, \fBsha1\fP, \fBsha256\fP.
.TP 
\fB\-m\fP, \fB\-\-multiversion\fP
Affiche tous les paquets trouvés en sortie.
.TP 
\fB\-M\fP, \fB\-\-medium\fP \fIid\-chaîne\fP
Add an \fBX\-Medium\fP field containing the value \fIid\-string\fP (since dpkg
1.15.5).  This field is required if you want to generate \fBPackages.cd\fP
files for use by the multicd access method of dselect.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Affiche un message d'aide puis quitte.
.TP 
\fB\-\-version\fP
Affiche le numéro de version puis quitte.
.
.SH DIAGNOSTICS
\fBdpkg\-scanpackages\fP affiche les erreurs habituelles qui se comprennent
d'elles\-mêmes. Il affiche aussi des avertissements quand des paquets sont
dans un mauvais sous\-répertoire, existent en double exemplaire, ont des
champs «\ Filename\ » dans leur fichier «\ control\ », sont absents du fichier
«\ override\ » ou bien dont les substitutions de responsable ne peuvent pas
s'appliquer.
.
.SH "VOIR AUSSI"
.ad l
\fBdpkg\fP(1), \fBdselect\fP(1), \fBdeb\-override\fP(5), \fBdeb\-extra\-override\fP(5),
\fBdpkg\-scansources\fP(1).
