.\" dpkg manual page - dpkg-source(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006-2007 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2006-2015 Guillem Jover <guillem@debian.org>
.\" Copyright © 2008-2011 Raphaël Hertzog <hertzog@debian.org>
.\" Copyright © 2010 Joey Hess <joeyh@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-source 1 %RELEASE_DATE% %VERSION% "suite dpkg"
.nh
.SH NOM
dpkg\-source \- outil de manipulation des paquets sources Debian (.dsc).
.
.SH SYNOPSIS
\fBdpkg\-source\fP [\fIoption\fP...] \fIcommande\fP
.
.SH DESCRIPTION
\fBdpkg\-source\fP empaquette ou dépaquette une archive source Debian.

Aucune de ces commandes ne permet la combinaison de plusieurs options en une
seule et elles ne permettent pas d'indiquer la valeur d'une option dans un
argument séparé.
.
.SH COMMANDES
.TP 
\fB\-x \fP, \fB\-\-extract\fP \fInom\-de\-fichier\fP.dsc [\fIrépertoire\-de\-sortie\fP]
Extract a source package (\fB\-\-extract\fP since dpkg 1.17.14).  One non\-option
argument must be supplied, the name of the Debian source control file
(\fB.dsc\fP).  An optional second non\-option argument may be supplied to
specify the directory to extract the source package to, this must not
exist. If no output directory is specified, the source package is extracted
into a directory named \fIsource\fP\-\fIversion\fP under the current working
directory.

\fBdpkg\-source\fP lit, dans le fichier de contrôle, les noms des fichiers qui
composent le paquet source\ ; il suppose qu'ils sont dans le même répertoire
que le fichier \fB.dsc\fP.

Les fichiers extraits du paquet auront le même système de propriété et de
permission que s'ils avaient été simplement créés \-\- les répertoires et les
fichiers exécutables auront un système de permission égal à 0777 et les
simples fichiers, 0666\ ; ces deux systèmes étant modifiés par le masque de
celui qui fait l'extraction\ ; si le répertoire parent est «\ setgid\ », les
répertoires extraits le seront aussi et tous les fichiers et répertoires
hériteront du système de propriété de ce groupe.

If the source package uses a non\-standard format (currently this means all
formats except “1.0”), its name will be stored in \fBdebian/source/format\fP so
that the following builds of the source package use the same format by
default.

.TP 
\fB\-b\fP, \fB\-\-build\fP \fIrépertoire\fP [\fIparamètres\-dans\-un\-format\-spécifique\fP]
Build a source package (\fB\-\-build\fP since dpkg 1.17.14).  The first
non\-option argument is taken as the name of the directory containing the
debianized source tree (i.e. with a debian sub\-directory and maybe changes
to the original files).  Depending on the source package format used to
build the package, additional parameters might be accepted.

\fBdpkg\-source\fP will build the source package with the first format found in
this ordered list: the format indicated with the \fI\-\-format\fP command line
option, the format indicated in \fBdebian/source/format\fP, “1.0”.  The
fallback to “1.0” is deprecated and will be removed at some point in the
future, you should always document the desired source format in
\fBdebian/source/format\fP. See section \fBSOURCE PACKAGE FORMATS\fP for an
extensive description of the various source package formats.

.TP 
\fB\-\-print\-format\fP \fIrépertoire\fP
Print the source format that would be used to build the source package if
\fBdpkg\-source \-\-build \fP\fIdirectory\fP was called (in the same conditions and
with the same parameters; since dpkg 1.15.5).

.TP 
\fB\-\-before\-build\fP \fIrépertoire\fP
Run the corresponding hook of the source package format (since dpkg
1.15.8).  This hook is called before any build of the package
(\fBdpkg\-buildpackage\fP calls it very early even before \fBdebian/rules
clean\fP). This command is idempotent and can be called multiple times. Not
all source formats implement something in this hook, and those that do
usually prepare the source tree for the build for example by ensuring that
the Debian patches are applied.

.TP 
\fB\-\-after\-build\fP \fIrépertoire\fP
Run the corresponding hook of the source package format (since dpkg
1.15.8).  This hook is called after any build of the package
(\fBdpkg\-buildpackage\fP calls it last). This command is idempotent and can be
called multiple times. Not all source formats implement something in this
hook, and those that do usually use it to undo what \fB\-\-before\-build\fP has
done.

.TP 
\fB\-\-commit\fP [\fIrépertoire\fP] ...
Record changes in the source tree unpacked in \fIdirectory\fP (since dpkg
1.16.1).  This command can take supplementary parameters depending on the
source format.  It will error out for formats where this operation doesn't
mean anything.

.TP 
\fB\-?\fP, \fB\-\-help\fP
Show the usage message and exit.  The format specific build and extract
options can be shown by using the \fB\-\-format\fP option.
.TP 
\fB\-\-version\fP
Affiche le numéro de version puis quitte.
.
.SH OPTIONS
.SS "Options de construction générique"
.TP 
\fB\-c\fP\fIfichier\-de\-contrôle\fP
Indique le principal fichier de contrôle des sources où trouver les
renseignements. Par défaut, c'est le fichier \fBdebian/control\fP. Lorsqu'un
chemin relatif est fourni, on considère qu'il est relatif au répertoire le
plus élevé de l'arborescence source.
.TP 
\fB\-l\fP\fIfichier\-des\-changements\fP
Indique le journal des modifications où trouver des renseignements. Par
défaut, c'est le fichier \fBdebian/changelog\fP. Lorsqu'un chemin relatif est
fourni, on considère qu'il est relatif au répertoire le plus élevé de
l'arborescence source.
.TP 
\fB\-F\fP\fIformat\-du\-fichiers\-des\-changements\fP
Indique le format du fichier des changements. Voir \fBdpkg\-parsechangelog\fP(1)
pour plus d'informations à propos des formats gérés.
.TP 
\fB\-\-format=\fP\fIvaleur\fP
Use the given format for building the source package (since dpkg 1.14.17).
It does override any format given in \fBdebian/source/format\fP.
.TP 
\fB\-V\fP\fInom\fP\fB=\fP\fIvaleur\fP
Fixe la valeur d'une variable de substitution. Consultez \fBdeb\-substvars\fP(5)
pour une discussion sur la valeur de substitution.
.TP 
\fB\-T\fP\fIfichier/substvars\fP
Read substitution variables in \fIsubstvars\-file\fP; the default is to not read
any file. This option can be used multiple times to read substitution
variables from multiple files (since dpkg 1.15.6).
.TP 
\fB\-D\fP\fIchamp\fP\fB=\fP\fIvaleur\fP
Remplace ou ajoute en sortie un champ dans le fichier de contrôle.
.TP 
\fB\-U\fP\fIchamp\fP
Supprime en sortie un champ dans le fichier de contrôle.
.TP 
\fB\-Z\fP\fIcompression\fP, \fB\-\-compression\fP=\fIcompression\fP
Specify the compression to use for created tarballs and diff files
(\fB\-\-compression\fP since dpkg 1.15.5).  Note that this option will not cause
existing tarballs to be recompressed, it only affects new files. Supported
values are: \fIgzip\fP, \fIbzip2\fP, \fIlzma\fP and \fIxz\fP.  The default is \fIxz\fP for
formats 2.0 and newer, and \fIgzip\fP for format 1.0. \fIxz\fP is only supported
since dpkg 1.15.5.
.TP 
\fB\-z\fP\fIniveau\fP, \fB\-\-compression\-level\fP=\fIniveau\fP
Compression level to use (\fB\-\-compression\-level\fP since dpkg 1.15.5).  As
with \fB\-Z\fP it only affects newly created files. Supported values are: \fI1\fP
to \fI9\fP, \fIbest\fP, and \fIfast\fP.  The default is \fI9\fP for gzip and bzip2, \fI6\fP
for xz and lzma.
.TP 
\fB\-i\fP[\fIexpr. rat.\fP], \fB\-\-diff\-ignore\fP[=\fIexpr. rat.\fP]
You may specify a perl regular expression to match files you want filtered
out of the list of files for the diff (\fB\-\-diff\-ignore\fP since dpkg 1.15.6).
(This list is generated by a find command.) (If the source package is being
built as a version 3 source package using a VCS, this can be used to ignore
uncommitted changes on specific files. Using \-i.* will ignore all of them.)

L'option \fB\-i\fP active cette fonction avec une expression rationnelle par
défaut (en préservant toutes les modifications faites à l'expression
rationnelle par défaut par une utilisation précédente de
\fB\-\-extend\-diff\-ignore\fP) qui couvre les fichiers de contrôle des plus usuels
systèmes de gestion de version, les fichiers de sauvegardes, les fichiers
d'échange et les répertoires utilisés par Libtool. Il ne peut y avoir qu'une
seule expression rationnelle active\ ; avec de multiples options \fB\-i\fP, seule
la dernière mentionnée sera prise en compte.

This is very helpful in cutting out extraneous files that get included in
the diff, e.g. if you maintain your source in a revision control system and
want to use a checkout to build a source package without including the
additional files and directories that it will usually contain (e.g. CVS/,
\&.cvsignore, .svn/). The default regex is already very exhaustive, but if you
need to replace it, please note that by default it can match any part of a
path, so if you want to match the begin of a filename or only full
filenames, you will need to provide the necessary anchors (e.g. ‘(^|/)’,
‘($|/)’) yourself.
.TP 
\fB\-\-extend\-diff\-ignore\fP=\fIexpr.rat.\fP
The perl regular expression specified will extend the default value used by
\fB\-\-diff\-ignore\fP and its current value, if set (since dpkg 1.15.6).  It does
this by concatenating “\fB|\fP\fIregex\fP” to the existing value.  This option is
convenient to use in \fBdebian/source/options\fP to exclude some auto\-generated
files from the automatic patch generation.
.TP 
\fB\-I\fP[\fImotif\-fichier\fP], \fB\-\-tar\-ignore\fP[=\fImotif\-fichier\fP]
If this option is specified, the pattern will be passed to \fBtar\fP(1)'s
\fB\-\-exclude\fP option when it is called to generate a .orig.tar or .tar file
(\fB\-\-tar\-ignore\fP since dpkg 1.15.6).  For example, \fB\-I\fPCVS will make tar
skip over CVS directories when generating a .tar.gz file. The option may be
repeated multiple times to list multiple patterns to exclude.

\fB\-I\fP ajoute par défaut des options \fB\-\-exclude\fP qui élimineront les
fichiers et les répertoires de contrôles des systèmes les plus connus de
contrôle de version, les fichiers d'échange et de sauvegarde et les
répertoires utilisés par Libtool.
.PP
\fBNote\ :\fP même si elles ont des rôles similaires, \fB\-i\fP et \fB\-I\fP ont une
syntaxe et une sémantique très différentes. \fB\-i\fP ne peut être spécifié
qu'une fois et reçoit une expression rationnelle compatible avec le langage
Perl qui est appliquée sur chaque chemin relatif complet de chaque
fichier. \fB\-I\fP peut être spécifié plusieurs fois et prend un motif de nom de
fichier avec les méta\-caractères du shell. Le motif est appliqué au chemin
relatif complet mais aussi à chaque partie du chemin individuellement. La
sémantique exacte de l'option \fB\-\-exclude\fP de tar est un peu compliquée,
voir https://www.gnu.org/software/tar/manuel/tar.html#wildcards pour une
documentation plus complète.

L'expression rationnelle et le motif par défaut pour les deux options
peuvent être trouvés dans la sortie de la commande \fB\-\-help\fP.
.SS "Options d'extraction génériques"
.TP 
\fB\-\-no\-copy\fP
Do not copy original tarballs near the extracted source package (since dpkg
1.14.17).
.TP 
\fB\-\-no\-check\fP
Do not check signatures and checksums before unpacking (since dpkg 1.14.17).
.TP 
\fB\-\-no\-overwrite\-dir\fP
Do not overwrite the extraction directory if it already exists (since dpkg
1.18.8).
.TP 
\fB\-\-require\-valid\-signature\fP
Refuse to unpack the source package if it doesn't contain an OpenPGP
signature that can be verified (since dpkg 1.15.0) either with the user's
\fItrustedkeys.gpg\fP keyring, one of the vendor\-specific keyrings, or one of
the official Debian keyrings (\fI/usr/share/keyrings/debian\-keyring.gpg\fP and
\fI/usr/share/keyrings/debian\-maintainers.gpg\fP).
.TP 
\fB\-\-require\-strong\-checksums\fP
Refuse to unpack the source package if it does not contain any strong
checksums (since dpkg 1.18.7).  Currently the only known checksum considered
strong is \fBSHA\-256\fP.
.TP 
\fB\-\-ignore\-bad\-version\fP
Turns the bad source package version check into a non\-fatal warning (since
dpkg 1.17.7).  This option should only be necessary when extracting ancient
source packages with broken versions, just for backwards compatibility.

.SH "FORMATS DE PAQUET SOURCE"
If you don't know what source format to use, you should probably pick either
“3.0 (quilt)” or “3.0 (native)”.  See
https://wiki.debian.org/Projects/DebSrc3.0 for information on the deployment
of those formats within Debian.

.SS "Format: 1.0"
A source package in this format consists either of a \fB.orig.tar.gz\fP
associated to a \fB.diff.gz\fP or a single \fB.tar.gz\fP (in that case the package
is said to be \fInative\fP).  Optionally the original tarball might be
accompanied by a detached upstream signature \fB.orig.tar.gz.asc\fP, extraction
supported since dpkg 1.18.5.

\fBExtracting\fP

Extraire un paquet natif revient à une simple extraction de l'archive TAR
dans le répertoire cible. L'extraction d'un paquet non\-natif consiste au
dépaquetage du \fB.orig.tar.gz\fP puis l'application des correctifs contenus
dans le \fB.diff.gz\fP. La date de tous les fichiers correctifs est celle du
moment où a eu lieu l'extraction depuis le paquet source (cela évite les
heures fausses menant à des problèmes lorsque des fichiers générés
automatiquement sont modifiés). Le diff peut créer de nouveaux fichiers
(tout le répertoire debian est créé de cette façon) mais ne peut pas
supprimer de fichiers (les fichiers vides seront laissés là).

\fBConstruction\fP

Building a native package is just creating a single tarball with the source
directory. Building a non\-native package involves extracting the original
tarball in a separate “.orig” directory and regenerating the \fB.diff.gz\fP by
comparing the source package \fIdirectory\fP with the .orig directory.

\fBOptions de construction (avec \-\-build)\ :\fP

Si l'on donne un second argument, ce sera le nom du répertoire source
d'origine ou le nom du fichier tar ou bien une chaîne vide si le paquet est
un «\ Debian pure souche\ » et n'a donc pas de fichiers «\ diffs\ » concernant
sa «\ debianisation\ ». S'il n'y a pas de second argument, et selon les autres
arguments donnés, \fBdpkg\-source\fP cherche le fichier tar des sources
d'origine \fIpaquet\fP\fB_\fP\fIversion\-d'origine\fP\fB.orig.tar.gz\fP ou bien le
répertoire source d'origine \fIrépertoire\fP\fB.orig\fP selon les paramètres
\fB\-sX\fP.

Les options \fB\-sa\fP, \fB\-sp\fP, \fB\-sk\fP, \fB\-su\fP et \fB\-sr\fP ne remplacent pas les
fichiers tar ou les répertoires existants. Pour cela, il faut utiliser les
options \fB\-sA\fP, \fB\-sP\fP, \fB\-sK\fP, \fB\-sU\fP et \fB\-sR.\fP
.PP
.TP 
\fB\-sk\fP
Spécifie que le source d'origine est attendu sous forme tar\ ; par défaut,
\fIpaquet\fP\fB_\fP\fIversion\-d'origine\fP\fB.orig.tar\fP\fIextension\fP. Il le laisse en
place en tant que fichier tar ou le copie dans le répertoire en cours s'il
n'y est pas déjà. Le fichier sera dépaqueté dans \fIrépertoire\fP\fB.orig\fP pour
la génération du fichier diff.
.TP 
\fB\-sp\fP
Comme \fB\-sk\fP mais supprimera le répertoire à nouveau par la suite.
.TP 
\fB\-su\fP
Quand on spécifie que le source d'origine est un répertoire\ ; la valeur par
défaut est le répertoire \fIpaquet\fP\fB\-\fP\fIversion\-d'origine\fP\fB.orig\fP et
\fBdpkg\-source\fP crée une nouvelle archive du source d'origine.
.TP 
\fB\-sr\fP
Comme \fB\-su\fP mais supprimera ce répertoire après utilisation.
.TP 
\fB\-ss\fP
Indique que le source d'origine est disponible à la fois comme un répertoire
et comme un fichier tar. \fBdpkg\-source\fP se servira du répertoire pour créer
le «\ diff\ », mais du fichier tar pour créer le fichier \fB.dsc\fP. Aussi, faire
attention avec cette option. Si le répertoire et le fichier tar ne
correspondent pas, il en résulte une mauvaise archive source.
.TP 
\fB\-sn\fP
Indique de ne pas chercher de source d'origine et de ne pas créer de
«\ diff\ ». Le second argument, s'il existe, doit être une chaîne vide. Cela
sert pour les paquets Debian pure souche qui n'ont pas une source d'origine
distincte et donc pas de fichier «\ diff\ » de debianisation.
.TP 
\fB\-sa\fP or \fB\-sA\fP
Indique comme source d'origine soit un fichier tar, soit un répertoire —\ le
deuxième argument, s'il existe, doit être l'un d'eux ou bien une chaîne vide
(cela revient à utiliser l'option \fB\-sn)\fP. Quand un fichier tar existe, il
est dépaqueté pour créer le fichier «\ diff\ »\ ; ensuite il est supprimé (cela
revient à utiliser l'option \fB\-sp)\fP\ ; quand un répertoire est trouvé, il est
dépaqueté et \fBdpkg\-source\fP crée le source d'origine et supprime ensuite ce
répertoire (cela revient à utiliser l'option \fB\-sr)\fP\ ; quand ni l'un ni
l'autre n'est trouvé, \fBdpkg\-source\fP suppose que le paquet ne possède pas de
fichier «\ diff\ » de debianisation, mais seulement une simple archive source
(cela revient à utiliser l'option \fB\-sn\fP). Quand les deux sont trouvés,
\fBdpkg\-source\fP ignore le répertoire et le remplace si l'option \fB\-sA\fP a été
spécifiée (cela revient à utiliser l'option \fB\-sP)\fP ou il provoque une
erreur si l'option \fB\-sa\fP a été spécifiée. L'option par défaut est \fB\-sA\fP.
.TP 
\fB\-\-abort\-on\-upstream\-changes\fP
The process fails if the generated diff contains changes to files outside of
the debian sub\-directory (since dpkg 1.15.8).  This option is not allowed in
\fBdebian/source/options\fP but can be used in \fBdebian/source/local\-options\fP.
.PP

\fBoptions d'extraction (avec \-\-extract)\ :\fP

Dans tous ces cas, l'arborescence existante des sources d'origine est
supprimée.
.TP 
\fB\-sp\fP
Quand on extrait le répertoire source d'origine (s'il existe), il est
conservé en tant que fichier tar. S'il n'est pas déjà dans le répertoire
courant ou si ce répertoire contient un fichier différent, le fichier tar
est copié dans ce répertoire. (\fBCeci est le comportement par défaut\fP).
.TP 
\fB\-su\fP
Dépaquetage de l'arborescence du répertoire source d'origine.
.TP 
\fB\-sn\fP
Assure que le répertoire source d'origine ne sera ni copié dans le
répertoire en cours, ni dépaqueté. Si une arborescence source d'origine est
présente dans le répertoire courant, elle est toujours supprimée.
.PP
Toutes les options \fB\-s\fP\fIX\fP s'excluent mutuellement. Si vous en indiquez
plusieurs, seule la dernière sera prise en compte.
.TP 
\fB\-\-skip\-debianization\fP
Skips application of the debian diff on top of the upstream sources (since
dpkg 1.15.1).
.
.SS "Format: 2.0"
Extraction supported since dpkg 1.13.9, building supported since dpkg
1.14.8.  Also known as wig&pen. This format is not recommended for
wide\-spread usage, the format “3.0 (quilt)” replaces it.  Wig&pen was the
first specification of a new\-generation source package format.

The behaviour of this format is the same as the “3.0 (quilt)” format except
that it doesn't use an explicit list of patches. All files in
\fBdebian/patches/\fP matching the perl regular expression \fB[\ew\-]+\fP must be
valid patches: they are applied at extraction time.

Lors de la construction d'un nouveau paquet source, toute modification
apportée à la source amont est enregistrée dans un correctif nommé
\fBzz_debian\-diff\-auto\fP.
.
.SS "Format: 3.0 (native)"
Supported since dpkg 1.14.17.  This format is an extension of the native
package format as defined in the 1.0 format. It supports all compression
methods and will ignore by default any VCS specific files and directories as
well as many temporary files (see default value associated to \fB\-I\fP option
in the \fB\-\-help\fP output).
.
.SS "Format: 3.0 (quilt)"
Supported since dpkg 1.14.17.  A source package in this format contains at
least an original tarball (\fB.orig.tar.\fP\fIext\fP where \fIext\fP can be \fBgz\fP,
\fBbz2\fP, \fBlzma\fP and \fBxz\fP) and a debian tarball (\fB.debian.tar.\fP\fIext\fP). It
can also contain additional original tarballs
(\fB.orig\-\fP\fIcomponent\fP\fB.tar.\fP\fIext\fP).  \fIcomponent\fP can only contain
alphanumeric characters and hyphens (‘\-’).  Optionally each original tarball
can be accompanied by a detached upstream signature
(\fB.orig.tar.\fP\fIext\fP\fB.asc\fP and \fB.orig\-\fP\fIcomponent\fP\fB.tar.\fP\fIext\fP\fB.asc\fP),
extraction supported since dpkg 1.17.20, building supported since dpkg
1.18.5.

.PP
\fBExtracting\fP
.PP
L'archive principale tar d'origine est extraite tout d'abord, puis toutes
les autres archives tar d'origine sont extraites dans des sous\-répertoires
dont le nom est formé à partir de la partie \fIcomposant\fP de leur
nom. L'archive tar Debian est extraite par dessus le répertoire source,
après la suppression de tout répertoire \fBdebian\fP existant. Notez que
l'archive tar Debian doit contenir un sous\-répertoire \fBdebian\fP, mais il
peut également contenir des fichiers binaires en dehors de ce répertoire
(voir l'option \fB\-\-include\-binaries\fP).
.PP
Toutes les modifications figurant dans \fBdebian/patches/debian.series\fP ou
\fBdebian/patches/series\fP sont alors appliquées. Si l'ancien fichier est
utilisé et qu'il n'y en a pas de plus récent (ou si c'est un lien
symbolique), alors celui\-ci est remplacé par un lien symbolique vers
l'ancien. Cette disposition vise à simplifier l'utilisation de \fBquilt\fP pour
gérer l'ensemble des correctifs. Notez toutefois que si \fBdpkg\-source\fP
analyse correctement une série de fichiers avec les options utilisées pour
l'application du correctif (stockées sur chaque ligne après le nom du
correctif et d'une ou plusieurs espaces), il n'ignore pas ces options et
s'attendra toujours à ce que les correctifs puissent être appliqués avec
l'option \fB\-p1\fP de \fBpatch\fP. Il va donc émettre un avertissement lorsqu'il
rencontrera ces options, et la construction est susceptible d'échouer.
.PP
The timestamp of all patched files is reset to the extraction time of the
source package (this avoids timestamp skews leading to problems when
autogenerated files are patched).
.PP
Au contraire du comportement par défaut de \fBquilt\fP, les correctifs doivent
s'appliquer sans décalage («\ fuzz\ »). Quand cela n'est pas le cas, il est
suggéré de les rafraîchir avec \fBquilt\fP sinon \fBdpkg\-source\fP se terminera
avec une erreur en tentant de les appliquer.
.PP
Similaire au comportement par défaut de \fBquilt\fP, les modifications peuvent
aussi supprimer des fichiers.
.PP
Le fichier \fB.pc/applied\-patches\fP est créé si certains correctifs ont été
appliqués au cours de l'extraction.
.PP
\fBConstruction\fP
.PP
Les originaux de toutes les archives tar trouvées dans le répertoire courant
sont extraits dans un répertoire temporaire en suivant la même logique que
pour le dépaquetage, le répertoire debian est copié dans le répertoire
temporaire, et toutes les mises à jour sauf \fBdebian\-changes\-\fP\fIversion\fP
sont appliquées. Le répertoire temporaire est comparé à celui du paquet
source. Si le fichier de différences n'est pas vide, il est stocké dans le
correctif automatique. Si le correctif automatique est créé ou supprimé, il
est ajouté ou supprimé dans le fichier series et les méta\-données de
\fBquilt\fP.

Tout changement dans un fichier binaire ne peut être indiqué dans le diff et
va déboucher sur un échec à moins que le responsable ne décide délibérément
d'inclure cette modification binaire dans l'archive tar Debian (en le
listant dans \fBdebian/source/include\-binaries\fP). La construction pourra
également échouer si des fichiers binaires sont trouvés dans le
sous\-répertoire debian sans être indiqué dans la liste blanche de
\fBdebian/source/include\-binaries\fP.

Le répertoire debian mis à jour et la liste des binaires modifiés sont
ensuite utilisés pour recréer l'archive tar debian.

Le diff généré automatiquement n'inclut pas les changements spécifiques sur
les fichiers VCS ainsi sur que de nombreux fichiers temporaires (pour la
valeur par défaut associée à l'option \fB\-i\fP, voir la sortie de
\fB\-\-help\fP). En particulier, le répertoire \fB.pc\fP utilisé par \fBquilt\fP est
ignoré lors de la génération automatique du correctif.

Note\ : \fBdpkg\-source\fP \fB\-\-before\-build\fP (et \fB\-\-build\fP) prendront soin
d'appliquer les correctifs indiqués dans le fichier series afin qu'un paquet
soit toujours construit avec toutes les corrections appliquées. Pour
effectuer cette détection, il recherche la liste des correctifs non
appliqués (ils sont mentionnés dans le fichier \fBseries\fP mais pas dans
\&\fB.pc/applied\-patches\fP) et si le premier de cette liste peut être appliqué
sans erreur, il les applique tous. L'option \fB\-\-no\-preparation\fP peut être
utilisée pour désactiver ce comportement.

.PP
\fBEnregistrement des modifications\fP
.TP 
\fB\-\-commit\fP [\fIrépertoire\fP] [\fInom\-du\-correctif\fP] [\fIfichier\-de\-correctif\fP]
Crée un correctif correspondant aux modifications locales non gérées par le
système de gestion de correctifs \fBquilt\fP et les intègre dans la liste des
correctifs sous le nom \fInom\-du\-correctif\fP. Si le nom est omis, il sera
demandé interactivement. Si \fIfichier\-de\-correctifs\fP est indiqué, il est
utilisé comme fichier de modifications locales à intégrer. Une fois intégré,
un éditeur est lancé afin de permettre d'ajouter des méta\-informations dans
l'en\-tête du correctif.

Le fait de passer \fIfichier\-de\-correctifs\fP est essentiellement utile après
un échec de construction qui prégénère ce fichier. Sur ces bases, le fichier
est supprimé après intégration. Veuillez également noter que les
modifications contenues dans le fichier de correctifs doivent déjà être
appliquées dans l'arborescence et que les fichiers modifiés par le correctif
ne doivent pas comporter de modifications supplémentaires.

Si la création de correctif détecte des fichiers binaires modifiés, ils
seront ajoutés automatiquement à \fBdebian/source/include\-binaries\fP afin de
pouvoir être inclus dans l'archive debian (de façon analogue à ce que ferait
\fBdpkg\-source \-\-include\-binaries \-\-build\fP).
.PP
\fBOptions de construction\fP
.TP 
\fB\-\-allow\-version\-of\-quilt\-db=\fP\fIversion\fP
Allow \fBdpkg\-source\fP to build the source package if the version of the
\fBquilt\fP metadata is the one specified, even if \fBdpkg\-source\fP doesn't know
about it (since dpkg 1.15.5.4).  Effectively this says that the given
version of the \fBquilt\fP metadata is compatible with the version 2 that
\fBdpkg\-source\fP currently supports. The version of the \fBquilt\fP metadata is
stored in \fB.pc/.version\fP.
.TP 
\fB\-\-include\-removal\fP
N'ignore pas les fichiers supprimés et les inclut dans le fichier de
modification généré automatiquement.
.TP 
\fB\-\-include\-timestamp\fP
Inclut la date dans le correctif généré automatiquement.
.TP 
\fB\-\-include\-binaries\fP
Ajoute tous les binaires modifiés dans l'archive tar debian. Les ajoute
aussi à \fBdebian/source/include\-binaries\fP\ : elles seront ajoutées par défaut
dans les constructions correspondantes aussi cette option n'est donc plus
nécessaire.
.TP 
\fB\-\-no\-preparation\fP
Do not try to prepare the build tree by applying patches which are
apparently unapplied (since dpkg 1.14.18).
.TP 
\fB\-\-single\-debian\-patch\fP
Use \fBdebian/patches/debian\-changes\fP instead of
\fBdebian/patches/debian\-changes\-\fP\fIversion\fP for the name of the automatic
patch generated during build (since dpkg 1.15.5.4).  This option is
particularly useful when the package is maintained in a VCS and a patch set
can't reliably be generated. Instead the current diff with upstream should
be stored in a single patch. The option would be put in
\fBdebian/source/local\-options\fP and would be accompanied by a
\fBdebian/source/local\-patch\-header\fP file explaining how the Debian changes
can be best reviewed, for example in the VCS that is used.
.TP 
\fB\-\-create\-empty\-orig\fP
Automatically create the main original tarball as empty if it's missing and
if there are supplementary original tarballs (since dpkg 1.15.6).  This
option is meant to be used when the source package is just a bundle of
multiple upstream software and where there's no “main” software.
.TP 
\fB\-\-no\-unapply\-patches, \-\-unapply\-patches\fP
By default, \fBdpkg\-source\fP will automatically unapply the patches in the
\fB\-\-after\-build\fP hook if it did apply them during \fB\-\-before\-build\fP
(\fB\-\-unapply\-patches\fP since dpkg 1.15.8, \fB\-\-no\-unapply\-patches\fP since dpkg
1.16.5).  Those options allow you to forcefully disable or enable the patch
unapplication process. Those options are only allowed in
\fBdebian/source/local\-options\fP so that all generated source packages have
the same behavior by default.
.TP 
\fB\-\-abort\-on\-upstream\-changes\fP
The process fails if an automatic patch has been generated (since dpkg
1.15.8).  This option can be used to ensure that all changes were properly
recorded in separate \fBquilt\fP patches prior to the source package
build. This option is not allowed in \fBdebian/source/options\fP but can be
used in \fBdebian/source/local\-options\fP.
.TP 
\fB\-\-auto\-commit\fP
Pas d'échec du processus de construction si un correctif automatique a été
créé\ : il est enregistré automatiquement dans le fichier series de \fBquilt\fP.

.PP
\fBOptions d'extraction\fP
.TP 
\fB\-\-skip\-debianization\fP
Skips extraction of the debian tarball on top of the upstream sources (since
dpkg 1.15.1).
.TP 
\fB\-\-skip\-patches\fP
Do not apply patches at the end of the extraction (since dpkg 1.14.18).
.
.SS "Format: 3.0 (custom)"
Supported since dpkg 1.14.17.  This format is special.  It doesn't represent
a real source package format but can be used to create source packages with
arbitrary files.
.PP
\fBOptions de construction\fP
.PP
Tous les arguments qui ne sont pas des options sont pris pour des fichiers à
intégrer dans le paquet source généré. Ils doivent exister et être de
préférence dans le répertoire courant. Au moins un fichier doit être donné.
.TP 
\fB\-\-target\-format=\fP\fIvaleur\fP
\fBRequired\fP. Defines the real format of the generated source package.  The
generated .dsc file will contain this value in its \fBFormat\fP field and not
“3.0 (custom)”.
.
.SS "Format: 3.0 (git)"
Supported since dpkg 1.14.17.  This format is experimental.
.PP
Un paquet source qui utilise ce format est constitué d'un ensemble d'un seul
dépôt git \fB.git\fP qui contient les sources du paquet. Il peut également
exister un fichier \fB.gitshallow\fP qui donne les révisions d'un clone git
«\ shallow\ ».
.PP
\fBExtracting\fP
.PP
The bundle is cloned as a git repository to the target directory.  If there
is a gitshallow file, it is installed as \fI.git/shallow\fP inside the cloned
git repository.
.PP
Note that by default the new repository will have the same branch checked
out that was checked out in the original source.  (Typically “master”, but
it could be anything.)  Any other branches will be available under
\fIremotes/origin/\fP.
.PP
\fBConstruction\fP
.PP
Avant d'aller plus loin, quelques vérifications sont effectuées afin de
s'assurer qu'il n'existe aucun changement non\-soumis et à ne pas ignorer.
.PP
\fBgit\-bundle\fP(1) permet de créer un ensemble à partir du dépôt git. Par
défaut, toutes les branches et étiquettes du dépôt sont incluses dans cet
ensemble.
.PP
\fBOptions de construction\fP
.TP 
\fB\-\-git\-ref=\fP\fIréf\fP
Permet d'indiquer une référence git à inclure dans l'ensemble
git. L'utilisation de cette option désactive le comportement par défaut qui
est d'inclure toutes les branches et étiquettes. Cette option peut être
utilisée plusieurs fois. Le paramètre \fIréf\fP peut être le nom d'une branche
ou une étiquette à inclure. Il peut également être tout paramètre que l'on
peut passer à \fBgit\-rev\-list\fP(1). Par exemple, pour n'inclure que la branche
«\ master\ », on peut utiliser \fB\-\-git\-ref\fP=master. Pour inclure toutes les
étiquettes et toutes les branches, sauf la branche privée, on peut utiliser
\-\fBgit\-ref=\fP\-\-all \fB\-\- git\-ref=\fP^private.
.TP 
\fB\-\-git\-depth=\fP\fInombre\fP
Crée un clone «\ shallow\ » dont l'historique est tronqué au nombre indiqué de
révisions.
.SS "Format: 3.0 (bzr)"
Supported since dpkg 1.14.17.  This format is experimental.  It generates a
single tarball containing the bzr repository.
.PP
\fBExtracting\fP
.PP
L'archive tar est décompressée puis bzr est utilisé afin de récupérer la
branche courante.
.PP
\fBConstruction\fP
.PP
Avant d'aller plus loin, quelques vérifications sont effectuées afin de
s'assurer qu'il n'existe aucun changement non\-soumis et à ne pas ignorer.
.PP
Ensuite, la partie spécifique du répertoire source du gestionnaire de
versions est copiée dans un répertoire temporaire. Avant que ce répertoire
temporaire ne soit empaqueté dans une archive tar, divers nettoyages sont
effectués pour économiser de l'espace.
.SH DIAGNOSTICS
.SS "aucun format source indiqué dans debian/source/format"
The file \fBdebian/source/format\fP should always exist and indicate the
desired source format. For backwards compatibility, format “1.0” is assumed
when the file doesn't exist but you should not rely on this: at some point
in the future \fBdpkg\-source\fP will be modified to fail when that file doesn't
exist.

The rationale is that format “1.0” is no longer the recommended format, you
should usually pick one of the newer formats (“3.0 (quilt)”, “3.0 (native)”)
but \fBdpkg\-source\fP will not do this automatically for you.  If you want to
continue using the old format, you should be explicit about it and put “1.0”
in \fBdebian/source/format\fP.
.SS "le fichier de différences modifie les fichiers amont suivants"
When using source format “1.0” it is usually a bad idea to modify upstream
files directly as the changes end up hidden and mostly undocumented in the
\&.diff.gz file. Instead you should store your changes as patches in the
debian directory and apply them at build\-time. To avoid this complexity you
can also use the format “3.0 (quilt)” that offers this natively.
.SS "impossible d'identifier les changements de \fIfichier\fP"
Les modifications des sources amont sont en général conservées dans des
fichiers de correctifs mais certaines modifications ne peuvent être
représentées sous forme de tels fichiers qui ne peuvent modifier que des
fichiers texte. Si vous essayez de remplacer un fichier avec un objet d'un
type différent (par exemple remplacer un fichier par un lien ou un
répertoire), ce message d'erreur s'affichera.
.SS "le fichier \fIfichier\fP, nouvellement créé, ne sera pas représenté dans le fichier de différences"
Les fichiers vides ne peuvent pas être créés avec des correctifs. En
conséquence, la modification n'est pas enregistrée dans le paquet source, ce
qui provoque cet avertissement.
.SS "le mode exécutable \fIpermissions\fP de \fIfichier\fP ne sera pas représenté dans le fichier de différences"
Les fichiers de correctifs n'enregistrent pas les permissions de fichiers
et, en conséquence, les permissions des exécutables ne sont pas enregistrées
dans le paquet source, ce qui provoque cet avertissement.
.SS "le mode spécial \fIpermissions\fP de \fIfichier\fP ne sera pas représenté dans le fichier de différences"
Les fichiers correctifs n'enregistrent pas les permissions de fichiers et,
en conséquence, les permissions modifiées ne sont pas enregistrées dans le
paquet source, ce qui provoque cet avertissement.
.
.SH ENVIRONNEMENT
.TP 
\fBSOURCE_DATE_EPOCH\fP
If set, it will be used as the timestamp (as seconds since the epoch) to
clamp the mtime in the \fBtar\fP(5) file entries.
.TP 
\fBVISUAL\fP
.TQ
\fBEDITOR\fP
Used by the “2.0” and “3.0 (quilt)” source format modules.
.TP 
\fBGIT_DIR\fP
.TQ
\fBGIT_INDEX_FILE\fP
.TQ
\fBGIT_OBJECT_DIRECTORY\fP
.TQ
\fBGIT_ALTERNATE_OBJECT_DIRECTORIES\fP
.TQ
\fBGIT_WORK_TREE\fP
Used by the “3.0 (git)” source format modules.
.
.SH FICHIERS
.SS debian/source/format
Ce fichier contient sur une seule ligne le format à utiliser pour construire
le paquet source (les formats acceptés sont décrits plus haut). Il ne doit
pas contenir d'espaces avant ou après l'indication du format.
.SS debian/source/include\-binaries
This file contains a list of binary files (one per line) that should be
included in the debian tarball. Leading and trailing spaces are stripped.
Lines starting with ‘\fB#\fP’ are comments and are skipped.  Empty lines are
ignored.
.SS debian/source/options
Ce fichier contient la liste des options qui seront automatiquement ajoutées
au jeu d'options de ligne de commande lors de l'appel à \fBdpkg\-source
\-\-build\fP ou \fBdpkg\-source \-\-print\-format\fP. Des options comme
\fB\-\-compression\fP et \fB\-\-compression\-level\fP conviennent bien pour ce fichier.
.P
Each option should be put on a separate line. Empty lines and lines starting
with ‘\fB#\fP’ are ignored.  The leading ‘\fB\-\-\fP’ should be stripped and short
options are not allowed.  Optional spaces are allowed around the ‘\fB=\fP’
symbol and optional quotes are allowed around the value.  Here's an example
of such a file:
.P
  # autoriser dpkg\-source à créer un fichier debian.tar.bz2 avec la compression maximale
  compression = "bzip2"
  compression\-level = 9
  # utiliser debian/patches/debian\-changes comme correctif automatique
  single\-debian\-patch
  # ignorer les modifications dans config.{sub,guess}
  extend\-diff\-ignore = "(^|/)(config.sub|config.guess)$"
.P
Note\ : les options de \fBformat\fP ne sont pas acceptées dans ce fichier. Vous
devriez utiliser \fBdebian/source/format\fP à la place.
.SS debian/source/local\-options
Identique à \fBdebian/source/options\fP mais n'est pas enregistré dans le
paquet source créé. Ce fichier peut être utile pour conserver une préférence
propre au responsable ou au dépôt de gestionnaire de versions où le paquet
source est géré.
.SS "debian/source/local\-patch\-header \fRet\fP debian/source/patch\-header"
Free form text that is put on top of the automatic patch generated in
formats “2.0” or “3.0 (quilt)”. \fBlocal\-patch\-header\fP is not included in the
generated source package while \fBpatch\-header\fP is.
.SS debian/patches/series
This file lists all patches that have to be applied (in the given order)  on
top of the upstream source package. Leading and trailing spaces are
stripped.  Lines starting with ‘\fB#\fP’ are comments and are skipped.  Empty
lines are ignored.  Remaining lines start with a patch filename (relative to
the \fBdebian/patches/\fP directory) up to the first space character or the end
of line. Optional \fBquilt\fP options can follow up to the end of line or the
first ‘\fB#\fP’ preceded by one or more spaces (which marks the start of a
comment up to the end of line).
.SH BOGUES
Le moment où a lieu le remplacement d'un champ par rapport à certaines
déterminations de champ affichées sur la sortie standard est plutôt
embrouillé.
.SH "VOIR AUSSI"
.ad l
\fBdeb\-src\-control\fP(5), \fBdeb\-changelog\fP(5), \fBdsc\fP(5).
