.\" dpkg manual page - dpkg(1)
.\"
.\" Copyright © 1996 Juho Vuori <javuori@cc.helsinki.fi>
.\" Copyright © 1999 Jim Van Zandt <jrv@vanzandt.mv.com>
.\" Copyright © 1999-2003 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2000-2003 Adam Heath <doogie@debian.org>
.\" Copyright © 2002 Josip Rodin
.\" Copyright © 2004-2005 Scott James Remnant <keybuk@debian.org>
.\" Copyright © 2006-2016 Guillem Jover <guillem@debian.org>
.\" Copyright © 2007-2008 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2008-2011 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg 1 %RELEASE_DATE% %VERSION% "suite dpkg"
.nh
.SH NOM
dpkg \- un gestionnaire de paquet pour Debian
.
.SH SYNOPSIS
\fBdpkg\fP [\fIoption\fP...] \fIaction\fP
.
.SH AVERTISSEMENT
Ce manuel est destiné aux utilisateurs qui souhaitent aller au\-delà de la
commande \fBdpkg \-\-help\fP pour la compréhension des options de la ligne de
commande et des états des paquets.

Les responsables de paquet qui veulent comprendre comment \fBdpkg\fP installe
leur paquet \fIne doivent pas\fP l'utiliser. Les descriptions concernant
l'installation ou la désinstallation des paquets sont très insuffisantes.
.
.SH DESCRIPTION
\fBdpkg\fP est un outil pour l'installation, la création, la suppression et la
gestion des paquets Debian. \fBaptitude\fP(1) est la principale interface à
\fBdpkg\fP et la plus agréable pour l'utilisateur.  \fBdpkg\fP lui\-même est
entièrement contrôlé par des paramètres sur la ligne de commande. Une
commande comporte exactement une action et zéro ou plusieurs options. Le
paramètre «\ action\ » dit ce que \fBdpkg\fP doit faire et les options modifient
l'action d'une manière ou d'une autre.

\fBdpkg\fP peut également être utilisé comme interface pour \fBdpkg\-deb\fP(1) et
\fBdpkg\-query\fP(1). La liste des actions gérées est indiquée dans la section
\fBACTIONS\fP. Si cette section est présente, \fBdpkg\fP n'exécute que \fBdpkg\-deb\fP
ou \fBdpkg\-query\fP avec les paramètres qui lui sont passés, mais aucune action
spécifique ne leur est communiquée. Pour utiliser cela, il est nécessaire
d'appeler le programme directement.
.
.SH "RENSEIGNEMENTS SUR LES PAQUETS"
\fBdpkg\fP conserve des renseignements utiles sur les paquets disponibles.
Cette information est divisée en trois classes\ : les états, les états de la
sélection et les drapeaux. La modification de ces valeurs est principalement
dévolue à \fBdselect\fP.
.SS "États du paquet\ :"
.TP 
\fBnot\-installed\fP
Le paquet n'est pas installé sur le système.
.TP 
\fBconfig\-files\fP
Seuls les fichiers de configuration du paquet existent sur le système.
.TP 
\fBhalf\-installed\fP
L'installation du paquet a commencé mais, pour une raison quelconque, ne
s'est pas terminée.
.TP 
\fBunpacked\fP
Le paquet est dépaqueté mais n'est pas configuré.
.TP 
\fBhalf\-configured\fP
Le paquet est dépaqueté et la configuration a commencé mais, pour une
quelconque raison, ne s'est pas terminée.
.TP 
\fBtriggers\-awaited\fP
Le paquet attend l'exécution d'une action différée qui est à la charge d'un
autre paquet.
.TP 
\fBtriggers\-pending\fP
Une action différée de ce paquet a été activée, il reste à l'exécuter.
.TP 
\fBinstalled\fP
Le paquet est correctement dépaqueté et configuré.
.SS "États de sélection des paquets"
.TP 
\fBinstall\fP
Le paquet est sélectionné pour être installé.
.TP 
\fBhold\fP
\fBdpkg\fP laisse de côté un paquet marqué \fBhold\fP, à moins qu'il ne soit lancé
avec l'option de forçage \fB\-\-force\-hold\fP.
.TP 
\fBdeinstall\fP
Le paquet est sélectionné pour être désinstallé (c'est\-à\-dire qu'on veut
supprimer tous les fichiers à l'exception des fichiers de configuration).
.TP 
\fBpurge\fP
Le paquet est sélectionné pour être purgé (c'est\-à\-dire qu'on veut tout
supprimer dans les répertoire du système, même les fichiers de
configuration).
.SS "Drapeaux du paquet\ :"
.TP 
\fBok\fP
A package marked \fBok\fP is in a known state, but might need further
processing.
.TP 
\fBreinstreq\fP
A package marked \fBreinstreq\fP is broken and requires reinstallation. These
packages cannot be removed, unless forced with option
\fB\-\-force\-remove\-reinstreq\fP.
.
.SH ACTIONS
.TP 
\fB\-i\fP, \fB\-\-install\fP \fIfichier\-paquet\fP...
Installe le paquet. Si l'option \fB\-\-recursive\fP ou \fB\-R\fP est utilisée,
\fIfichier\-paquet\fP doit alors être un répertoire.

L'installation comporte les étapes suivantes\ :
.br

\fB1.\fP Extraction des fichiers de contrôle du nouveau paquet.
.br

\fB2.\fP Quand une ancienne version du même paquet est déjà installée,
exécution du script \fIprerm\fP de l'ancien paquet.
.br

\fB3.\fP Lancement du script \fIpreinst\fP, s'il est fourni par le paquet.
.br

\fB4.\fP Dépaquetage des nouveaux fichiers et, en même temps, sauvegarde des
anciens de manière à pouvoir les restaurer si quelque chose tourne mal.
.br

\fB5.\fP Quand une ancienne version du même paquet est déjà installée,
exécution du script \fIpostrm\fP de l'ancien paquet. Il faut remarquer que ce
script est exécuté après le script \fIpreinst\fP du nouveau paquet, parce que
les nouveaux fichiers sont écrits dans le même temps que les anciens sont
supprimés.
.br

\fB6.\fP Configuration du paquet. Voyez l'action \fB\-\-configure\fP pour savoir
comment cela se passe.
.TP 
\fB\-\-unpack \fP\fIfichier\-paquet\fP...
Dépaquète le paquet mais ne configure rien. Si l'option \fB\-\-recursive\fP ou
\fB\-R\fP est utilisée, \fIfichier\-paquet\fP doit alors indiquer un répertoire.
.TP 
\fB\-\-configure \fP\fIpaquet\fP...|\fB\-a\fP|\fB\-\-pending\fP
Reconfiguration d'un paquet dépaqueté mais non encore configuré. Si l'option
\fB\-a\fP ou \fB\-\-pending\fP est utilisée au lieu de \fIpaquet\fP, tous les paquets
dépaquetés mais non configurés sont configurés.

Pour reconfigurer un paquet qui l'a déjà été, vous devriez plutôt utiliser
la commande \fBdpkg\-reconfigure\fP(8).

La configuration comporte les étapes suivantes\ :
.br

\fB1.\fP Dépaquetage des fichiers de configuration, et dans le même temps
sauvegarde des anciens fichiers de configuration, de manière à pouvoir les
restaurer si quelque chose se passe mal.
.br

\fB2.\fP Exécution du script \fBpostinst\fP, s'il est fourni par le paquet.
.TP 
\fB\-\-triggers\-only\fP \fIpaquet\fP ...|\fB\-a\fP | \fB\-\-pending\fP
Processes only triggers (since dpkg 1.14.17).  All pending triggers will be
processed.  If package names are supplied only those packages' triggers will
be processed, exactly once each where necessary. Use of this option may
leave packages in the improper \fBtriggers\-awaited\fP and \fBtriggers\-pending\fP
states. This can be fixed later by running: \fBdpkg \-\-configure \-\-pending\fP.
.TP 
\fB\-r\fP, \fB\-\-remove\fP \fIpackage\fP...|\fB\-a\fP|\fB\-\-pending\fP
Supprimer un paquet installé. Supprime tout à l'exception des fichiers de
configuration, ce qui évite d'avoir à reconfigurer le paquet s'il était
réinstallé par la suite (ces fichiers sont les fichiers de configuration
listés dans le fichier de contrôle \fIDEBIAN/conffiles\fP). Si \fB\-a\fP ou
\fB\-\-pending\fP est indiqué à la place d'un nom de paquet, alors tous les
paquets dépaquetés mais marqués pour suppression dans le fichier
\fI%ADMINDIR%/status\fP seront supprimés.

La suppression d'un paquet comporte les étapes suivantes\ :
.br

\fB1.\fP Lancement du script \fIprerm\fP
.br

\fB2.\fP Suppression des fichiers installés
.br

\fB3.\fP lancement du script \fIpostrm\fP
.br

.TP 
\fB\-P\fP, \fB\-\-purge\fP \fIpackage\fP...|\fB\-a\fP|\fB\-\-pending\fP
Purger un paquet installé ou déjà supprimé. L'action supprime tout, y
compris les fichiers de configuration. Si \fB\-a\fP ou \fB\-\-pending\fP est indiqué
à la place d'un nom de paquet, tous les paquets dépaquetés ou supprimés mais
marqués dans le fichier \fI%ADMINDIR%/status\fP comme devant être purgés seront
purgés.

Note\ : certains fichiers de configuration peuvent être inconnus de \fBdpkg\fP
car ils sont créés et gérés séparement par le biais de scripts de
configuration. En ce cas, \fBdpkg\fP ne les supprimera pas lui\-même et le
script \fIpostrm\fP du paquet devra s'en charger durant l'opération de
purge. Cela ne s'applique bien entendu qu'aux fichiers situés dans les
répertoires systèmes et non aux fichiers de configuration créés dans les
répertoires «\ home\ » des utilisateurs.

La suppression d'un paquet comporte les étapes suivantes\ :
.br

\fB1.\fP Supprime le paquet s'il n'est pas déjà supprimé. Voir \fB\-\-remove\fP pour
plus de détails sur la façon dont cela est fait.
.br

\fB2.\fP Exécuter le script \fIpostrm\fP.
.br
.TP 
\fB\-V\fP, \fB\-\-verify\fP \fInom\-du\-paquet\fP...
Verifies the integrity of \fIpackage\-name\fP or all packages if omitted, by
comparing information from the files installed by a package with the files
metadata information stored in the \fBdpkg\fP database (since dpkg 1.17.2).
The origin of the files metadata information in the database is the binary
packages themselves. That metadata gets collected at package unpack time
during the installation process.

Currently the only functional check performed is an md5sum verification of
the file contents against the stored value in the files database.  It will
only get checked if the database contains the file md5sum. To check for any
missing metadata in the database, the \fB\-\-audit\fP command can be used.

On peut choisir le format de sortie avec l'option \fB\-\-verify\-format\fP, par
défaut c'est le format \fBrpm\fP, mais cela pourrait changer dans le futur, et
selon le format que les programmes analysant cette sortie de commande
pourraient explicitement attendre.
.TP 
\fB\-C\fP, \fB\-\-audit\fP \fInom\-paquet\fP...
Performs database sanity and consistency checks for \fIpackage\-name\fP or all
packages if omitted (per package checks since dpkg 1.17.10).  For example,
searches for packages that have been installed only partially on your system
or that have missing, wrong or obsolete control data or files. \fBdpkg\fP will
suggest what to do with them to get them fixed.
.TP 
\fB\-\-update\-avail\fP [\fIPackages\-file\fP]
.TQ
\fB\-\-merge\-avail\fP [\fIPackages\-file\fP]
Update \fBdpkg\fP's and \fBdselect\fP's idea of which packages are available. With
action \fB\-\-merge\-avail\fP, old information is combined with information from
\fIPackages\-file\fP. With action \fB\-\-update\-avail\fP, old information is replaced
with the information in the \fIPackages\-file\fP. The \fIPackages\-file\fP
distributed with Debian is simply named «\fIPackages\fP». If the
\fIPackages\-file\fP argument is missing or named «\fB\-\fP» then it will be read
from standard input (since dpkg 1.17.7). \fBdpkg\fP keeps its record of
available packages in \fI%ADMINDIR%/available\fP.

Une simple commande permettant de récupérer et mettre à jour le fichier
\fIavailable\fP est \fBdselect update\fP. Veuillez noter que ce fichier est à peu
près inutile si vous n'utilisez pas \fBdselect\fP mais une interface basée sur
APT. APT contient en effet son propre mécanisme pour suivre les paquets
disponibles.
.TP 
\fB\-A\fP, \fB\-\-record\-avail\fP \fIfichier_paquet\fP...
Met à jour l'information de \fBdpkg\fP et de \fBdselect\fP sur les paquets
disponibles avec les informations qui proviennent de \fIfichier\-paquet\fP. Si
l'option \fB\-\-recursive\fP ou \fB\-R\fP est utilisée, \fIfichier\-paquet\fP doit
indiquer un répertoire.
.TP 
\fB\-\-forget\-old\-unavail\fP
Now \fBobsolete\fP and a no\-op as \fBdpkg\fP will automatically forget uninstalled
unavailable packages (since dpkg 1.15.4), but only those that do not contain
user information such as package selections.
.TP 
\fB\-\-clear\-avail\fP
Efface les renseignements existants sur les paquets disponibles.
.TP 
\fB\-\-get\-selections\fP [\fImotif\-de\-nom\-de\-paquet\fP...]
Obtenir la liste des sélections de paquets et l'envoie sur la sortie
standard. Sans un motif, les paquets non installés (c'est\-à\-dire ceux qui
ont été précédemment purgés) ne seront pas affichés.
.TP 
\fB\-\-set\-selections\fP
Set package selections using file read from stdin. This file should be in
the format “\fIpackage\fP \fIstate\fP”, where state is one of \fBinstall\fP, \fBhold\fP,
\fBdeinstall\fP or \fBpurge\fP. Blank lines and comment lines beginning with
‘\fB#\fP’ are also permitted.

Le fichier \fIavailable\fP doit être à jour pour que cette commande soit utile,
autrement des paquets inconnus seront ignorés avec un
avertissement. Veuillez consultez les commandes \fB\-\-update\-avail\fP and
\fB\-\-merge\-avail\fP pour plus d'informations.
.TP 
\fB\-\-clear\-selections\fP
Set the requested state of every non\-essential package to deinstall (since
dpkg 1.13.18).  This is intended to be used immediately before
\fB\-\-set\-selections\fP, to deinstall any packages not in list given to
\fB\-\-set\-selections\fP.
.TP 
\fB\-\-yet\-to\-unpack\fP
Recherche les paquets qui ont été sélectionnés pour l'installation, mais
qui, pour une raison quelconque, ne sont pas encore installés.
.TP 
\fB\-\-predep\-package\fP
Print a single package which is the target of one or more relevant
pre\-dependencies and has itself no unsatisfied pre\-dependencies.
.IP
If such a package is present, output it as a Packages file entry, which can
be massaged as appropriate.
.IP
Returns 0 when a package is printed, 1 when no suitable package is available
and 2 on error.
.TP 
\fB\-\-add\-architecture \fP\fIarchitecture\fP
Add \fIarchitecture\fP to the list of architectures for which packages can be
installed without using \fB\-\-force\-architecture\fP (since dpkg 1.16.2).  The
architecture \fBdpkg\fP is built for (i.e. the output of
\fB\-\-print\-architecture\fP)  is always part of that list.
.TP 
\fB\-\-remove\-architecture \fP\fIarchitecture\fP
Remove \fIarchitecture\fP from the list of architectures for which packages can
be installed without using \fB\-\-force\-architecture\fP (since dpkg 1.16.2). If
the architecture is currently in use in the database then the operation will
be refused, except if \fB\-\-force\-architecture\fP is specified. The architecture
\fBdpkg\fP is built for (i.e. the output of \fB\-\-print\-architecture\fP) can never
be removed from that list.
.TP 
\fB\-\-print\-architecture\fP
Print architecture of packages \fBdpkg\fP installs (for example, “i386”).
.TP 
\fB\-\-print\-foreign\-architectures\fP
Print a newline\-separated list of the extra architectures \fBdpkg\fP is
configured to allow packages to be installed for (since dpkg 1.16.2).
.TP 
\fB\-\-assert\-\fP\fIfeature\fP
Asserts that \fBdpkg\fP supports the requested feature.  Returns 0 if the
feature is fully supported, 1 if the feature is known but \fBdpkg\fP cannot
provide support for it yet, and 2 if the feature is unknown.  The current
list of assertable features is:
.RS
.TP 
\fBsupport\-predepends\fP
Supports the \fBPre\-Depends\fP field (since dpkg 1.1.0).
.TP 
\fBworking\-epoch\fP
Supports epochs in version strings (since dpkg 1.4.0.7).
.TP 
\fBlong\-filenames\fP
Supports long filenames in \fBdeb\fP(5) archives (since dpkg 1.4.1.17).
.TP 
\fBmulti\-conrep\fP
Supports multiple \fBConflicts\fP and \fBReplaces\fP (since dpkg 1.4.1.19).
.TP 
\fBmulti\-arch\fP
Supports multi\-arch fields and semantics (since dpkg 1.16.2).
.TP 
\fBversioned\-provides\fP
Supports versioned \fBProvides\fP (since dpkg 1.17.11).
.RE
.TP 
\fB\-\-validate\-\fP\fIthing string\fP
Validate that the \fIthing\fP \fIstring\fP has a correct syntax (since dpkg
1.18.16).  Returns 0 if the \fIstring\fP is valid, 1 if the \fIstring\fP is
invalid but might be accepted in lax contexts, and 2 if the \fIstring\fP is
invalid.  The current list of validatable \fIthing\fPs is:
.RS
.TP 
\fBpkgname\fP
Validates the given package name (since dpkg 1.18.16).
.TP 
\fBtrigname\fP
Validates the given trigger name (since dpkg 1.18.16).
.TP 
\fBpkgname\fP
Validates the given architecture name (since dpkg 1.18.16).
.TP 
\fBversion\fP
Validates the given version (since dpkg 1.18.16).
.RE
.TP 
\fB\-\-compare\-versions \fP\fIver1 op ver2\fP
.\" .TP
.\" .B \-\-command\-fd \fIn\fP
.\" Accept a series of commands on input file descriptor \fIn\fP. Note:
.\" additional options set on the command line, and through this file descriptor,
.\" are not reset for subsequent commands executed during the same run.
Compare version numbers, where \fIop\fP is a binary operator. \fBdpkg\fP returns
true (\fB0\fP) if the specified condition is satisfied, and false (\fB1\fP)
otherwise. There are two groups of operators, which differ in how they treat
an empty \fIver1\fP or \fIver2\fP. These treat an empty version as earlier than
any version: \fBlt le eq ne ge gt\fP. These treat an empty version as later
than any version: \fBlt\-nl le\-nl ge\-nl gt\-nl\fP. These are provided only for
compatibility with control file syntax: \fB< << <= = >=
>> >\fP. The \fB<\fP and \fB>\fP operators are obsolete and
should \fBnot\fP be used, due to confusing semantics. To illustrate: \fB0.1
< 0.1\fP evaluates to true.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Affiche un court message d'aide.
.TP 
\fB\-\-force\-help\fP
Donne des renseignements sur les options \fB\-\-force\-\fP\fIquelque\-chose\fP.
.TP 
\fB\-Dh\fP, \fB\-\-debug=help\fP
Donne des renseignements sur les options de débogage.
.TP 
\fB\-\-version\fP
Affiche la version de \fBdpkg\fP.
.TP 
\fBdpkg\-deb actions\fP
Voyez \fBdpkg\-deb\fP(1) pour des renseignements supplémentaires sur les actions
suivantes.

.nf
\fB\-b\fP, \fB\-\-build\fP \fIdirectory\fP [\fIarchive\fP|\fIdirectory\fP]
    Build a deb package.
\fB\-c\fP, \fB\-\-contents\fP \fIarchive\fP
    List contents of a deb package.
\fB\-e\fP, \fB\-\-control\fP \fIarchive\fP [\fIdirectory\fP]
    Extract control\-information from a package.
\fB\-x\fP, \fB\-\-extract\fP \fIarchive directory\fP
    Extract the files contained by package.
\fB\-X\fP, \fB\-\-vextract\fP \fIarchive directory\fP
    Extract and display the filenames contained by a
    package.
\fB\-f\fP, \fB\-\-field\fP  \fIarchive\fP [\fIcontrol\-field\fP...]
    Display control field(s) of a package.
\fB\-\-ctrl\-tarfile\fP \fIarchive\fP
    Output the control tar\-file contained in a Debian package.
\fB\-\-fsys\-tarfile\fP \fIarchive\fP
    Output the filesystem tar\-file contained by a Debian package.
\fB\-I\fP, \fB\-\-info\fP \fIarchive\fP [\fIcontrol\-file\fP...]
    Show information about a package.
.fi

.TP 
\fBdpkg\-query actions\fP
Voyez \fBdpkg\-query\fP(1) pour davantage d'explications sur les actions
suivantes.

.nf

\fB\-l\fP, \fB\-\-list\fP \fImotif\-du\-nom\-de\-paquet\fP ...
    Affiche la liste des paquets qui correspondent au motif.
\fB\-s\fP, \fB\-\-status\fP \fInom\-du\-paquet\fP ...
    Donne l'état du paquet indiqué.
\fB\-L\fP, \fB\-\-listfiles\fP \fInom\-du\-paquet\fP ...
    Affiche la liste des fichiers installés qui appartiennent
    à \fIpaquet\fP.
\fB\-S\fP, \fB\-\-search\fP \fImotif\-du\-fichier\-à\-rechercher\fP ...
    Recherche un fichier dans les paquets installés.
\fB\-p\fP, \fB\-\-print\-avail\fP \fInom\-du\-paquet\fP
    Affiche les informations trouvées dans \fI%ADMINDIR%/available\fP
    à propos de \fIpaquet\fP. Les utilisateurs des interfaces à APT
    devraient plutôt utiliser \fBapt\-cache show\fP \fInom\-du\-paquet\fP.
.fi
.
.SH OPTIONS
All options can be specified both on the command line and in the \fBdpkg\fP
configuration file \fI%PKGCONFDIR%/dpkg.cfg\fP or fragment files (with names
matching this shell pattern '[0\-9a\-zA\-Z_\-]*') on the configuration directory
\fI%PKGCONFDIR%/dpkg.cfg.d/\fP. Each line in the configuration file is either
an option (exactly the same as the command line option but without leading
hyphens) or a comment (if it starts with a ‘\fB#\fP’).
.br
.TP 
\fB\-\-abort\-after=\fP\fInombre\fP
Modifie le nombre d'erreurs au delà duquel \fBdpkg\fP s'arrête. Il est par
défaut égal à 50.
.TP 
\fB\-B\fP, \fB\-\-auto\-deconfigure\fP
Quand un paquet est supprimé, il peut arriver qu'un paquet installé
dépendait du paquet supprimé. En spécifiant cette option, on obtient la
déconfiguration automatique du paquet qui dépendait du paquet supprimé.
.TP 
\fB\-D\fP\fIoctal\fP\fB, \-\-debug=\fP\fIoctal\fP
Demande de débogage. \fIoctal\fP est formé en faisant un «\ ou\ » logique entre
des valeurs souhaitées appartenant à la liste ci\-dessous (notez que ces
valeurs pourront changer dans les prochaines versions). \fB\-Dh\fP ou
\fB\-\-debug=help\fP affiche ces valeurs de débogage.

 nombre  description
    1   Informations de progression
        en général utiles
    2   Appel et état des scripts du responsable
   10   Affichage pour chaque fichier traité
  100   De nombreux affichages pour chaque fichier
        traité
   20   Affichage pour chaque fichier de configuration
  200   De nombreux affichages pour chaque fichier
        de configuration
   40   Dépendances et conflits
  400   De nombreuses sorties pour les dépendances
        et les conflits
10000   Sortie sur l'activation et le traitement des actions différées
20000   De nombreuses sorties sur les actions différées
40000   Quantité stupide de sorties sur les actions différées
 1000   Beaucoup de radotage à propos du répertoire
        dpkg/info
 2000   Quantité stupide de radotage
.TP 
\fB\-\-force\-\fP\fIthings\fP
.TQ
\fB\-\-no\-force\-\fP\fIthings\fP, \fB\-\-refuse\-\fP\fIthings\fP
Forcer ou refuser (\fBno\-force\fP et \fBrefuse\fP signifient la même chose) de
faire quelque chose. \fIquelque\-chose\fP est une liste d'actions séparées par
des virgules, décrites ci\-après. \fB\-\-force\-help\fP affiche un message qui les
décrit. Les actions marquées d'un (*) sont forcées par défaut.

\fIAvertissement\ : ces options sont principalement destinées aux experts. Un
usage auquel manque la pleine compréhension de leurs effets peut casser le
système entier.\fP

\fBall\fP\ : Met en œuvre (ou pas) toutes les options de forçage.

\fBdowngrade\fP(*)\ : Installe un paquet, même si une version plus récente du
paquet est déjà installée.

\fIAvertissement\ : pour l'instant,\fP \fBdpkg\fP \fIne recherche pas les
dépendances lors d'un retour à une version inférieure d'un paquet\ ; il ne
vous préviendra pas si la version choisie casse les dépendances d'un autre
paquet. Cela peut avoir de sérieuses conséquences\ ;\ et si l'on revient à des
versions antérieures des programmes essentiels du système, cela peut rendre
votre système inutilisable. N'utiliser qu'avec précaution.\fP

\fBconfigure\-any\fP\ : Configure aussi les paquets dépaquetés mais non
configurés dont dépend le paquet en question.

\fBhold\fP: Process packages even when marked “hold”.

\fBremove\-reinstreq\fP\ : Supprime un paquet, même défectueux et marqué comme
demandant une réinstallation. Il se peut, dès lors, que des éléments du
paquet restent dans le système et soient oubliés par \fBdpkg\fP.

\fBremove\-essential\fP\ : supprime un paquet même s'il est considéré comme
indispensable. Les paquets «\ Essential\ » comportent les commandes Unix les
plus fondamentales et les enlever peut casser le système entier. Il faut
utiliser cette option avec prudence.

\fBdepends\fP\ : Change tous les problèmes de dépendance en avertissements.

\fBdepends\-version\fP\ : Ignore les versions dans les questions de dépendance.

\fBbreaks\fP: Install, even if this would break another package (since dpkg
1.14.6).

\fBconflicts\fP\ : Installe un paquet, même s'il est en conflit avec un autre
paquet. C'est dangereux car habituellement cela produit le remplacement de
certains fichiers.

\fBconfmiss\fP: Always install the missing conffile without prompting. This is
dangerous, since it means not preserving a change (removing) made to the
file.

\fBconfnew\fP\ : quand un fichier de configuration a été modifié et que la
version dans le paquet a changé, toujours installer la nouvelle version et
ne rien demander, sauf si l'option \fB\-\-force\-confdef\fP est aussi présente,
auquel cas l'action par défaut est choisie.

\fBconfold\fP\ : quand un fichier de configuration a été modifié et que la
version du paquet a changé, garder l'ancienne version et ne rien demander,
sauf si l'option \fB\-\-force\-confdef\fP est aussi présente, auquel cas l'action
par défaut est choisie.

\fBconfdef\fP\ : quand un fichier de configuration a été modifié et que la
version du paquet a changé, utilise toujours l'action par défaut, de manière
non interactive. Quand il n'y a pas d'action par défaut, la commande
s'arrête et interroge l'utilisateur, à moins que l'option \fB\-\-force\-confnew\fP
ou l'option \fB\-\-force\-confold\fP n'ait été donnée, auquel cas elle se sert de
ces options pour déterminer ce qu'il faut faire.

\fBconfask\fP: If a conffile has been modified always offer to replace it with
the version in the package, even if the version in the package did not
change (since dpkg 1.15.8).  If any of \fB\-\-force\-confnew\fP,
\fB\-\-force\-confold\fP, or \fB\-\-force\-confdef\fP is also given, it will be used to
decide the final action.

\fBoverwrite\fP\ : Remplace un fichier par un fichier d'un autre paquet.

\fBoverwrite\-dir\fP: Overwrite one package's directory with another's file.

\fBoverwrite\-diverted\fP\ : Remplace un fichier détourné avec une version non
détournée.

\fBunsafe\-io\fP: Do not perform safe I/O operations when unpacking (since dpkg
1.15.8.6).  Currently this implies not performing file system syncs before
file renames, which is known to cause substantial performance degradation on
some file systems, unfortunately the ones that require the safe I/O on the
first place due to their unreliable behaviour causing zero\-length files on
abrupt system crashes.

\fINote\fP: Pour ext4, le principal concerné, il est suggéré de plutôt utiliser
l'option de montage \fBnodelalloc\fP, qui corrigera à la fois la dégradation
des performances et les problèmes de sécurité des données. Elle permet
notamment d'éviter de terminer avec des fichiers vides lors des arrêts
brutaux pour tout logiciel qui ne synchronise pas le système de fichiers
avant chaque renommage.

\fIAvertissement\ : L'utilisation de cette option peut améliorer la
performance mais augmente le risque de perte de données. Elle est donc à
utiliser avec précautions.\fP

\fBscript\-chrootless\fP: Run maintainer scrips without \fBchroot\fP(2)ing into
\fBinstdir\fP even if the package does not support this mode of operation
(since dpkg 1.18.5).

\fIWarning: This can destroy your host system, use with extreme care.\fP

\fBarchitecture\fP\ : Traite même les paquets sans architecture ou avec une
architecture incorrecte.

\fBbad\-version\fP: Process even packages with wrong versions (since dpkg
1.16.1).

\fBbad\-path\fP\ : Programmes importants non visibles par la variable \fBPATH\fP, ce
qui va poser des problèmes.

\fBnot\-root\fP\ : Tente de (dés)installer même sans être root.

\fBbad\-verify\fP\ : Installe un paquet même si la vérification de son
authenticité a échoué.

.TP 
\fB\-\-ignore\-depends\fP=\fIpaquet\fP,...
Ne tient pas compte de la vérification des dépendances pour les paquets
spécifiés (en fait, la vérification est faite mais on ne donne rien d'autre
que des avertissements).
.TP 
\fB\-\-no\-act\fP, \fB\-\-dry\-run\fP, \fB\-\-simulate\fP
Faire tout ce qui doit être fait, mais n'écrire aucune modification. On
utilise cette option pour voir ce qui se passe sans modifier quoi que ce
soit.

Assurez\-vous de donner l'option \fB\-\-no\-act\fP avant le paramètre action, sinon
des résultats fâcheux sont probables. Par exemple, la commande \fBdpkg
\-\-purge foo \-\-no\-act\fP purge d'abord le paquet foo et essaie ensuite de
purger le paquet \-\-no\-act, même si vous comptiez qu'elle ne ferait rien du
tout.
.TP 
\fB\-R\fP, \fB\-\-recursive\fP
Recursively handle all regular files matching pattern \fB*.deb\fP found at
specified directories and all of its subdirectories. This can be used with
\fB\-i\fP, \fB\-A\fP, \fB\-\-install\fP, \fB\-\-unpack\fP and \fB\-\-record\-avail\fP actions.
.TP 
\fB\-G\fP
Ne pas installer un paquet si une version plus récente de ce paquet est déjà
installée. C'est un alias pour \fB\-\-refuse\-downgrade\fP.
.TP 
\fB\-\-admindir\fP=\fIdir\fP
Change default administrative directory, which contains many files that give
information about status of installed or uninstalled packages, etc.
(Defaults to «\fI%ADMINDIR%\fP»)
.TP 
\fB\-\-instdir=\fP\fIrepertoire\fP
Change default installation directory which refers to the directory where
packages are to be installed. \fBinstdir\fP is also the directory passed to
\fBchroot\fP(2) before running package's installation scripts, which means that
the scripts see \fBinstdir\fP as a root directory.  (Defaults to «\fI/\fP»)
.TP 
\fB\-\-root=\fP\fIrépertoire\fP
Changing \fBroot\fP changes \fBinstdir\fP to «\fIdir\fP» and \fBadmindir\fP to
«\fIdir\fP\fB%ADMINDIR%\fP».
.TP 
\fB\-O\fP, \fB\-\-selected\-only\fP
Traiter seulement les paquets qui sont sélectionnés pour l'installation. La
sélection est réellement faite par \fBdselect\fP ou par \fBdpkg\fP quand ils
manipulent les paquets. Par exemple, quand un paquet est supprimé, il est
marqué comme ayant été sélectionné pour une désinstallation.
.TP 
\fB\-E\fP, \fB\-\-skip\-same\-version\fP
Ne pas installer le paquet si la même version du paquet est déjà installée.
.TP 
\fB\-\-pre\-invoke=\fP\fIcommande\fP
.TQ
\fB\-\-post\-invoke=\fP\fIcommande\fP
Set an invoke hook \fIcommand\fP to be run via \*(lqsh \-c\*(rq before or after the
\fBdpkg\fP run for the \fIunpack\fP, \fIconfigure\fP, \fIinstall\fP, \fItriggers\-only\fP,
\fIremove\fP, \fIpurge\fP, \fIadd\-architecture\fP and \fIremove\-architecture\fP \fBdpkg\fP
actions (since dpkg 1.15.4; \fIadd\-architecture\fP and \fIremove\-architecture\fP
actions since dpkg 1.17.19). This option can be specified multiple
times. The order the options are specified is preserved, with the ones from
the configuration files taking precedence.  The environment variable
\fBDPKG_HOOK_ACTION\fP is set for the hooks to the current \fBdpkg\fP
action. Note: front\-ends might call \fBdpkg\fP several times per invocation,
which might run the hooks more times than expected.
.TP 
\fB\-\-path\-exclude=\fP\fImotif\-global\fP
.TQ
\fB\-\-path\-include=\fP\fImotif\-global\fP
Set \fIglob\-pattern\fP as a path filter, either by excluding or re\-including
previously excluded paths matching the specified patterns during install
(since dpkg 1.15.8).

\fIAttention\ :\ dépendre des chemins exclus peut entièrement casser le
système. Ce réglage doit donc être utilisé avec précautions.\fP

The glob patterns use the same wildcards used in the shell, were ‘*’ matches
any sequence of characters, including the empty string and also ‘/’.  For
example, «\fI/usr/*/READ*\fP» matches «\fI/usr/share/doc/package/README\fP».  As
usual, ‘?’ matches any single character (again, including ‘/’).  And ‘[’
starts a character class, which can contain a list of characters, ranges and
complementations. See \fBglob\fP(7) for detailed information about
globbing. Note: the current implementation might re\-include more directories
and symlinks than needed, to be on the safe side and avoid possible unpack
failures; future work might fix this.

Cela peut servir à exclure tous les chemins sauf certains spécifiques. Un
cas classique d'utilisation est\ :

.nf
\fB\-\-path\-exclude=/usr/share/doc/*\fP
\fB\-\-path\-include=/usr/share/doc/*/copyright\fP
.fi

qui permet de supprimer tous les fichiers de documentation sauf les fichiers
de «\ copyright\ ».

Ces deux options peuvent être utilisées plusieurs fois et éventuellement
être alternées entre elles. Les deux sont traitées dans l'ordre indiqué\ :\ la
dernière règle correspondant à un fichier donné est alors celle qui sera
utilisée.

The filters are applied when unpacking the binary packages, and as such only
have knowledge of the type of object currently being filtered (e.g. a normal
file or a directory) and have not visibility of what objects will come
next.  Because these filters have side effects (in contrast to \fBfind\fP(1)
filters), excluding an exact pathname that happens to be a directory object
like \fI/usr/share/doc\fP will not have the desired result, and only that
pathname will be excluded (which could be automatically reincluded if the
code sees the need).  Any subsequent files contained within that directory
will fail to unpack.

Hint: make sure the globs are not expanded by your shell.
.TP 
\fB\-\-verify\-format\fP\fI nom\-de\-format\fP
Sets the output format for the \fB\-\-verify\fP command (since dpkg 1.17.2).

The only currently supported output format is \fBrpm\fP, which consists of a
line for every path that failed any check.  The lines start with 9
characters to report each specific check result, a ‘\fB?\fP’ implies the check
could not be done (lack of support, file permissions, etc), ‘\fB.\fP’ implies
the check passed, and an alphanumeric character implies a specific check
failed; the md5sum verification failure (the file contents have changed) is
denoted with a ‘\fB5\fP’ on the third character.  The line is followed by a
space and an attribute character (currently ‘\fBc\fP’ for conffiles), another
space and the pathname.
.TP 
\fB\-\-status\-fd \fP\fIn\fP
Envoie un état du paquet compréhensible par la machine et met à jour cette
information dans le fichier de description \fIn\fP. Cette option peut être
spécifiée plusieurs fois. L'information est généralement constituée d'un
enregistrement par ligne, dans l'une des formes suivantes\ :
.RS
.TP 
\fBstatus: \fP\fIpaquet\fP\fB: \fP\fIstatus\fP
L'état du paquet a changé\ ; le \fIstatus\fP est tel que dans le fichier d'état
(\ «status file\ »).
.TP 
\fBstatus: \fP\fIpaquet\fP\fB\ : error\ : \fP\fImessage\-d'erreur\-complet\fP
Une erreur s'est produite. Toutes les lignes supplémentaires éventuelles
dans \fIextended\-error\-message\fP seront converties en espaces avant affichage.
.TP 
\fBstatus: \fP\fIfichier\fP\fB\ : conffile\-prompt\ : '\fP\fIreal\-old\fP\fB' '\fP\fIreal\-new\fP\fB' \fP\fIuseredited\fP\fB \fP\fIdistedited\fP
Une question pour un fichier de configuration va être posée à l'utilisateur.
.TP 
\fBprocessing: \fP\fIstage\fP\fB: \fP\fIpaquet\fP
Envoyé juste avant le début du traitement d'un stage. Les \fIstages\fP sont
\fBupgrade\fP, \fBinstall\fP (les deux sont envoyés avant le dépaquetage),
\fBconfigure\fP, \fBtrigproc\fP, \fBdisappear\fP, \fBremove\fP, \fBpurge\fP.
.RE
.TP 
\fB\-\-status\-logger\fP=\fIcommande\fP
Send machine\-readable package status and progress information to the shell
\fIcommand\fP's standard input, to be run via \*(lqsh \-c\*(rq (since dpkg 1.16.0).
This option can be specified multiple times.  The output format used is the
same as in \fB\-\-status\-fd\fP.
.TP 
\fB\-\-log=\fP\fIfichier\fP
Log status change updates and actions to \fIfilename\fP, instead of the default
\fI%LOGDIR%/dpkg.log\fP. If this option is given multiple times, the last
filename is used. Log messages are of the form:
.RS
.TP 
YYYY\-MM\-DD HH:MM:SS \fBstartup\fP \fItype\fP \fIcommand\fP
For each dpkg invocation where \fItype\fP is \fBarchives\fP (with a \fIcommand\fP of
\fBunpack\fP or \fBinstall\fP) or \fBpackages\fP (with a \fIcommand\fP of \fBconfigure\fP,
\fBtriggers\-only\fP, \fBremove\fP or \fBpurge\fP).
.TP 
YYYY\-MM\-DD HH:MM:SS \fBstatus\fP \fIstate\fP \fIpkg\fP \fIinstalled\-version\fP
For status change updates.
.TP 
YYYY\-MM\-DD HH:MM:SS \fIaction\fP \fIpkg\fP \fIinstalled\-version\fP \fIavailable\-version\fP
For actions where \fIaction\fP is one of \fBinstall\fP, \fBupgrade\fP, \fBconfigure\fP,
\fBtrigproc\fP, \fBdisappear\fP, \fBremove\fP or \fBpurge\fP.
.TP 
YYYY\-MM\-DD HH:MM:SS \fBconffile\fP \fIfilename\fP \fIdecision\fP
For conffile changes where \fIdecision\fP is either \fBinstall\fP or \fBkeep\fP.
.RE
.TP 
\fB\-\-no\-debsig\fP
Ne pas tenter de vérifier la signature des paquets.
.TP 
\fB\-\-no\-triggers\fP
Do not run any triggers in this run (since dpkg 1.14.17), but activations
will still be recorded.  If used with \fB\-\-configure\fP \fIpackage\fP or
\fB\-\-triggers\-only\fP \fIpackage\fP then the named package postinst will still be
run even if only a triggers run is needed. Use of this option may leave
packages in the improper \fBtriggers\-awaited\fP and \fBtriggers\-pending\fP
states. This can be fixed later by running: \fBdpkg \-\-configure \-\-pending\fP.
.TP 
\fB\-\-triggers\fP
Cancels a previous \fB\-\-no\-triggers\fP (since dpkg 1.14.17).
.
.SH "CODE DE SORTIE"
.TP 
\fB0\fP
The requested action was successfully performed.  Or a check or assertion
command returned true.
.TP 
\fB1\fP
A check or assertion command returned false.
.TP 
\fB2\fP
Fatal or unrecoverable error due to invalid command\-line usage, or
interactions with the system, such as accesses to the database, memory
allocations, etc.
.
.SH ENVIRONNEMENT
.SS "External environment"
.TP 
\fBPATH\fP
This variable is expected to be defined in the environment and point to the
system paths where several required programs are to be found. If it's not
set or the programs are not found, \fBdpkg\fP will abort.
.TP 
\fBHOME\fP
Si cette option est utilisée, \fBdpkg\fP utilisera le répertoire indiqué pour
lire le fichier de configuration propre à l'utilisateur.
.TP 
\fBTMPDIR\fP
Si cette option est utilisée, \fBdpkg\fP utilisera le répertoire indiqué pour
créer les fichiers et répertoire temporaires.
.TP 
\fBPAGER\fP
Cette option indique le programme exécuté par \fBdpkg\fP quand il affiche les
fichiers de configuration.
.TP 
\fBSHELL\fP
The program \fBdpkg\fP will execute when starting a new interactive shell.
.TP 
\fBCOLUMNS\fP
Sets the number of columns \fBdpkg\fP should use when displaying formatted
text.  Currently only used by \fB\-\-list\fP.
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.SS "Internal environment"
.TP 
\fBDPKG_ROOT\fP
Defined by \fBdpkg\fP on the maintainer script environment to indicate which
installation to act on (since dpkg 1.18.5).  The value is intended to be
prepended to any path maintainer scripts operate on.  During normal
operation, this variable is empty.  When installing packages into a
different \fBinstdir\fP, \fBdpkg\fP normally invokes maintainer scripts using
\fBchroot\fP(2) and leaves this variable empty, but if
\fB\-\-force\-script\-chrootless\fP is specified then the \fBchroot\fP(2) call is
skipped and \fBinstdir\fP is non\-empty.
.TP 
\fBDPKG_ADMINDIR\fP
Defined by \fBdpkg\fP on the maintainer script environment to indicate the
\fBdpkg\fP administrative directory to use (since dpkg 1.16.0).  This variable
is always set to the current \fB\-\-admindir\fP value.
.TP 
\fBDPKG_SHELL_REASON\fP
Defined by \fBdpkg\fP on the shell spawned on the conffile prompt to examine
the situation (since dpkg 1.15.6).  Current valid value: \fBconffile\-prompt\fP.
.TP 
\fBDPKG_CONFFILE_OLD\fP
Defined by \fBdpkg\fP on the shell spawned on the conffile prompt to examine
the situation (since dpkg 1.15.6).  Contains the path to the old conffile.
.TP 
\fBDPKG_CONFFILE_NEW\fP
Defined by \fBdpkg\fP on the shell spawned on the conffile prompt to examine
the situation (since dpkg 1.15.6).  Contains the path to the new conffile.
.TP 
\fBDPKG_HOOK_ACTION\fP
Defined by \fBdpkg\fP on the shell spawned when executing a hook action (since
dpkg 1.15.4).  Contains the current \fBdpkg\fP action.
.TP 
\fBDPKG_RUNNING_VERSION\fP
Defined by \fBdpkg\fP on the maintainer script environment to the version of
the currently running \fBdpkg\fP instance (since dpkg 1.14.17).
.TP 
\fBDPKG_MAINTSCRIPT_PACKAGE\fP
Defined by \fBdpkg\fP on the maintainer script environment to the
(non\-arch\-qualified) package name being handled (since dpkg 1.14.17).
.TP 
\fBDPKG_MAINTSCRIPT_PACKAGE_REFCOUNT\fP
Defined by \fBdpkg\fP on the maintainer script environment to the package
reference count, i.e. the number of package instances with a state greater
than \fBnot\-installed\fP (since dpkg 1.17.2).
.TP 
\fBDPKG_MAINTSCRIPT_ARCH\fP
Defined by \fBdpkg\fP on the maintainer script environment to the architecture
the package got built for (since dpkg 1.15.4).
.TP 
\fBDPKG_MAINTSCRIPT_NAME\fP
Defined by \fBdpkg\fP on the maintainer script environment to the name of the
script running, one of \fBpreinst\fP, \fBpostinst\fP, \fBprerm\fP or \fBpostrm\fP (since
dpkg 1.15.7).
.TP 
\fBDPKG_MAINTSCRIPT_DEBUG\fP
Defined by \fBdpkg\fP on the maintainer script environment to a value (‘\fB0\fP’
or ‘\fB1\fP’) noting whether debugging has been requested (with the \fB\-\-debug\fP
option) for the maintainer scripts (since dpkg 1.18.4).
.
.SH FICHIERS
.TP 
\fI%PKGCONFDIR%/dpkg.cfg.d/[0\-9a\-zA\-Z_\-]*\fP
Configuration fragment files (since dpkg 1.15.4).
.TP 
\fI%PKGCONFDIR%/dpkg.cfg\fP
Fichier de configuration contenant les options par défaut.
.TP 
\fI%LOGDIR%/dpkg.log\fP
Default log file (see \fI%PKGCONFDIR%/dpkg.cfg\fP and option \fB\-\-log\fP).
.P
Les autres fichiers répertoriés ici sont dans leur répertoire par défaut,
voyez l'option \fB\-\-admindir\fP pour savoir comment changer l'emplacement de
ces fichiers.
.TP 
\fI%ADMINDIR%/available\fP
Liste des paquets disponibles.
.TP 
\fI%ADMINDIR%/status\fP
États des paquets disponibles. Ce fichier contient des informations qui
permettent de savoir si un paquet est marqué comme devant être supprimé ou
pas, devant être installé ou pas, etc. Voyez la section \fBRENSEIGNEMENTS SUR
LES PAQUETS\fP pour des informations supplémentaires.

Le fichier d'état est sauvegardé quotidiennement dans \fI/var/backups\fP. Cela
peut être utile en cas de perte ou de corruption dûe à des problèmes de
système de fichiers.
.P
Les fichiers suivants font partie d'un paquet binaire. Voyez \fBdeb\fP(5) pour
des informations supplémentaires\ :
.RS
.nf
\fIcontrol\fP (\fBdeb\-control\fP(5))
\fIconffiles\fP (\fBdeb\-conffiles\fP(5))
\fIpreinst\fP (\fBdeb\-preinst\fP(5))
\fIpostinst\fP (\fBdeb\-postinst\fP(5))
\fIprerm\fP (\fBdeb\-prerm\fP(5))
\fIpostrm\fP (\fBdeb\-postrm\fP(5))
\fItriggers\fP (\fBdeb\-triggers\fP(5))
\fIshlibs\fP (\fBdeb\-shlibs\fP(5))
\fIsymbols\fP (\fBdeb\-symbols\fP(5))
.fi
.RE
.
.SH BOGUES
L'option \fB\-\-no\-act\fP ne donne pas assez d'informations utiles.
.
.SH EXEMPLES
Affichage des paquets installés liés à l'éditeur \fBvi\fP(1) (noter que
\fBdpkg\-query\fP ne charge plus le fichier \fIavailable\fP par défaut, sauf si
l'option \fBdpkg\-query\fP \fB\-\-load\-avail\fP est utilisée)\ :
.br
    \fBdpkg \-l '*vi*'\fP
.br

Pour voir les entrées de \fI%ADMINDIR%/available\fP concernant deux paquets\ :
.br
    \fBdpkg \-\-print\-avail elvis vim | less\fP
.br

Pour rechercher vous\-même dans la liste des paquets\ :
.br
    \fBless %ADMINDIR%/available\fP
.br

Pour supprimer le paquet installé elvis\ :
.br
    \fBdpkg \-r elvis\fP
.br

To install a package, you first need to find it in an archive or CDROM. The
\fIavailable\fP file shows that the vim package is in section \fBeditors\fP:
.br
     \fBcd /media/cdrom/pool/main/v/vim\fP
     \fBdpkg \-i vim_4.5\-3.deb\fP
.br

Pour faire une copie locale des états de sélection des paquets\ :
.br
    \fBdpkg \-\-get\-selections >myselections\fP
.br

Vous pourriez transférer ce fichier sur un autre ordinateur, et après avoir
mis à jour le fichier \fIavailable\fP avec l'interface de gestion de paquets de
votre choix (voir https://wiki.debian.org/Teams/Dpkg/FAQ pour plus de
détails), par exemple\ :
.br
     \fBapt\-cache dumpavail | dpkg \-\-merge\-avail\fP
.br
ou avec dpkg 1.17.6 et les versions antérieures :
.br
     \fBavail=`mktemp`\fP
     \fBapt\-cache dumpavail >"$avail"\fP
     \fBdpkg \-\-merge\-avail "$avail"\fP
     \fBrm "$avail"\fP
.br
vous pouvez l'installer de cette manière\ :
.br
    \fBdpkg \-\-clear\-selections\fP
    \fBdpkg \-\-set\-selections <myselections\fP
.br

On remarquera que cela n'installe ou ne supprime rien du tout\ ; cela ne fait
qu'enregistrer l'état souhaité des paquets. Vous aurez besoin d'autres
applications pour récupérer et installer réellement les paquets requis. Par
exemple, exécutez \fBapt\-get dselect\-upgrade\fP.

Habituellement, vous trouverez que \fBdselect\fP(1) fournit une façon plus
aisée de modifier les états de sélection des paquets.
.br
.
.SH "FONCTIONNALITÉS SUPPLÉMENTAIRES"
D'autres possibilités sont offertes en installant les paquets suivants\ :
\fBapt\fP, \fBaptitude\fP et \fBdebsums\fP.
.
.SH "VOIR AUSSI"
.ad l
\fBaptitude\fP(1), \fBapt\fP(1), \fBdselect\fP(1), \fBdpkg\-deb\fP(1), \fBdpkg\-query\fP(1),
\fBdeb\fP(5), \fBdeb\-control\fP(5), \fBdpkg.cfg\fP(5) et \fBdpkg\-reconfigure\fP(8).
.
.SH AUTEURS
Consultez \fI%PKGDOCDIR%/THANKS\fP pour la liste de ceux qui ont contribué à
\fBdpkg\fP.
