.\" dpkg manual page - dpkg-statoverride(1)
.\"
.\" Copyright © 2000-2001 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2009-2011, 2013, 2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-statoverride 1 %RELEASE_DATE% %VERSION% "dpkg suite"
.nh
.SH 名前
dpkg\-statoverride \- ファイルの所有権やモードを変更する
.
.SH 書式
\fBdpkg\-statoverride\fP [\fIoption\fP...] \fIcommand\fP
.
.SH 説明
“\fBstat overrides\fP” are a way to tell \fBdpkg\fP(1)  to use a different owner
or mode for a path when a package is installed (this applies to any
filesystem object that \fBdpkg\fP handles, including directories, devices,
etc.). This can be used to force programs that are normally setuid to be
install without a setuid flag, or only executable by a certain group.
.P
\fBdpkg\-statoverride\fP は stat override のリストを管理するユーティリティである。これには override
を追加、削除、表示するという 3 つの基本機能がある。
.
.SH コマンド
.TP 
\fB\-\-add\fP\fI user group mode path\fP
Add an override for \fIpath\fP. \fIpath\fP does not need to exist when this
command is used; the override will be stored and used later.  Users and
groups can be specified by their name (for example \fBroot\fP or \fBnobody\fP), or
by their number by prepending the number with a ‘\fB#\fP’ (for example \fB#0\fP or
\fB#65534\fP).  The \fImode\fP needs to be specified in octal.

If \fB\-\-update\fP is specified and \fIpath\fP exists, it is immediately set to the
new owner and mode.
.TP 
\fB\-\-remove\fP\fI path\fP
Remove an override for \fIpath\fP, the status of \fIpath\fP is left unchanged by
this command.
.TP 
\fB\-\-list\fP [\fIglob\-pattern\fP]
List all overrides. If a glob pattern is specified restrict the output to
overrides which match the glob.
.TP 
\fB\-\-help\fP
利用方法を表示して終了する。
.TP 
\fB\-\-version\fP
バージョン情報を表示して終了する。
.
.SH オプション
.TP 
\fB\-\-admindir\fP\fI directory\fP
Change the \fIdirectory\fP of the \fBdpkg\fP database where the statoverride file
is also stored. Defaults to \fI%ADMINDIR%\fP.
.TP 
\fB\-\-force\fP
sanity チェック (正気度チェック) が禁止するような場合でも、強制的に処理を行う。既存の override
を変更する場合には、これを指定する必要がある。
.TP 
\fB\-\-update\fP
Immediately try to change the \fIpath\fP to the new owner and mode if it
exists.
.TP 
\fB\-\-quiet\fP
動作に関して多くの出力を行わない。
.
.SH 終了ステータス
.TP 
\fB0\fP
指定したアクションが正しく実行された。
.TP 
\fB1\fP
For \fB\-\-list\fP, if there are no overrides or none match the supplied glob.
.TP 
\fB2\fP
Fatal or unrecoverable error due to invalid command\-line usage, or
interactions with the system, such as accesses to the database, memory
allocations, etc.
.
.SH 環境変数
.TP 
\fBDPKG_ADMINDIR\fP
If set and the \fB\-\-admindir\fP option has not been specified, it will be used
as the \fBdpkg\fP data directory.
.
.SH ファイル
.TP 
\fI%ADMINDIR%/statoverride\fP
File which contains the current list of stat overrides of the system. It is
located in the \fBdpkg\fP administration directory, along with other files
important to \fBdpkg\fP, such as \fIstatus\fP or \fIavailable\fP.
.br
Note: \fBdpkg\-statoverride\fP preserves the old copy of this file, with
extension “\-old”, before replacing it with the new one.
.
.SH 関連項目
\fBdpkg\fP(1).
