.\" dpkg manual page - dpkg-query(1)
.\"
.\" Copyright © 2001 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006-2007 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2006-2015 Guillem Jover <guillem@debian.org>
.\" Copyright © 2008-2011 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-query 1 %RELEASE_DATE% %VERSION% "użytki dpkg"
.nh
.SH NAZWA
dpkg\-query \- narzędzie przepytywania bazy danych dpkg
.
.SH SKŁADNIA
\fBdpkg\-query\fP [\fIopcja\fP...] \fIpolecenie\fP
.
.SH OPIS
\fBdpkg\-query\fP jest narzędziem służącym do pokazywania informacji o pakietach
wymienionych w bazie danych \fBdpkg\fP.
.
.SH POLECENIA
.TP 
\fB\-l\fP, \fB\-\-list\fP [\fIwzorzec\-nazwy\-pakietu\fP...]
List packages matching given pattern. If no \fIpackage\-name\-pattern\fP is
given, list all packages in \fI%ADMINDIR%/status\fP, excluding the ones marked
as not\-installed (i.e. those which have been previously purged). Normal
shell wildcard characters are allowed in \fIpackage\-name\-pattern\fP. Please
note you will probably have to quote \fIpackage\-name\-pattern\fP to prevent the
shell from performing filename expansion. For example this will list all
package names starting with \*(lqlibc6\*(rq:

.nf
  \fBdpkg\-query \-l 'libc6*'\fP
.fi

Pierwsze trzy kolumny wyniku pokazują żądane działanie, stan pakietu i
błędy, w tej kolejności.

Żądane działanie:
.nf
  u = Unknown (nieznane)
  i = Install (instalacja)
  h = Hold    (zatrzymanie)
  r = Remove  (usunięcie)
  p = Purge   (wyczyszczenie)
.fi

Stan pakietu:
.nf
  n = Not\-installed     (niezainstalowany)
  c = Config\-files      (pliki konfiguracyjne)
  H = Half\-installed    (częściowo zainstalowany)
  U = Unpacked          (rozpakowany)
  F = Half\-configured   (częściowo skonfigurowany)
  W = Triggers\-awaiting (oczekuje na wyzwalacze)
  t = Triggers\-pending  (przetwarzane wyzwalacze)
  i = Installed         (zainstalowany)
.fi

Oznaczenia błędów:
.nf
  <puste>             (brak)
  R = Reinst\-required (wymagana ponowna instalacja)
.fi

Wielka litera stanu lub błędu oznacza, że pakiet może powodować wiele
problemów. Podręcznik \fBdpkg\fP(1) zawiera informacje na temat powyższych
stanów i oznaczeń.

Format wyjścia tej opcji nie jest konfigurowalny, ale automatycznie się
zmienia, dostosowując się do szerokości terminalu. Jest to przeznaczone dla
ludzi i nie musi być łatwo parsowalne przez maszynę. Patrz opcje \fB\-W\fP
(\fB\-\-show\fP) and \fB\-\-showformat\fP, aby dowiedzieć się, jak skonfigurować
format wyjścia.
.TP 
\fB\-W\fP, \fB\-\-show\fP [\fIwzorzec\-nazwy\-pakietu\fP...]
Just like the \fB\-\-list\fP option this will list all packages matching the
given pattern. However the output can be customized using the
\fB\-\-showformat\fP option.  The default output format gives one line per
matching package, each line having the name (extended with the architecture
qualifier for \fBMulti\-Arch\fP \fBsame\fP packages) and installed version of the
package, separated by a tab.
.TP 
\fB\-s\fP, \fB\-\-status\fP \fInazwa\-pakietu\fP...
Podanie stanu pakietu o podanej nazwie. Polecenie po prostu wyświetli
informacje, które znajdują się w bazie danych pakietów. Gdy wypisane jest
wiele \fInazw\-pakietu\fP, to żądane wpisy stanu są oddzielone pustym wierszem,
z tą samą kolejnością jak podano w liście argumentów.
.TP 
\fB\-L\fP, \fB\-\-listfiles\fP \fInazwa\-pakietu\fP...
Podanie listy plików zainstalowanych z \fInazwy\-pakietu\fP. Gdy zainstalowanych
jest wiele \fInazw\-pakietu\fP, to żądane listy plików są oddzielone pustym
wierszem, z tą samą kolejnością jak żądana lista argumentów. Jednakże pliki,
które zostały utworzone przez skrypty instalacyjne pakietu, nie będą podane.
.TP 
\fB\-\-control\-list\fP \fInazwa\-pakietu\fP
List control files installed to your system from \fIpackage\-name\fP (since dpkg
1.16.5).  These can be used as input arguments to \fB\-\-control\-show\fP.
.TP 
\fB\-\-control\-show\fP \fInazwa\-pakietu\fP \fIplik\-kontrolny\fP
Print the \fIcontrol\-file\fP installed to your system from \fIpackage\-name\fP to
the standard output (since dpkg 1.16.5).
.TP 
\fB\-c\fP, \fB\-\-control\-path\fP \fInazwa\-pakietu\fP [\fIplik\-kontrolny\fP]
List paths for control files installed to your system from \fIpackage\-name\fP
(since dpkg 1.15.4).  If \fIcontrol\-file\fP is specified then only list the
path for that control file if it is present.

\fBWarning\fP: this command is deprecated as it gives direct access to the
internal dpkg database, please switch to use \fB\-\-control\-list\fP and
\fB\-\-control\-show\fP instead for all cases where those commands might give the
same end result. Although, as long as there is still at least one case where
this command is needed (i.e. when having to remove a damaging postrm
maintainer script), and while there is no good solution for that, this
command will not get removed.
.TP 
\fB\-S\fP, \fB\-\-search\fP \fIwzorzec\-wyszukiwania\-nazwy\-pliku\fP...
Search for packages that own files corresponding to the given pattern.
Standard shell wildcard characters can be used in the pattern, where
asterisk (\fB*\fP) and question mark (\fB?\fP) will match a slash, and blackslash
(\fB\e\fP) will be used as an escape character.

If the first character in the \fIfilename\-search\-pattern\fP is none of
‘\fB*[?/\fP’ then it will be considered a substring match and will be
implicitly surrounded by ‘\fB*\fP’ (as in \fB*\fP\fIfilename\-search\-pattern\fP\fB*\fP).
If the subsequent string contains any of ‘\fB*[?\e\fP’, then it will handled
like a glob pattern, otherwise any trailing ‘\fB/\fP’ or ‘\fB/.\fP’ will be
removed and a literal path lookup will be performed.

This command will not list extra files created by maintainer scripts, nor
will it list alternatives.
.TP 
\fB\-p\fP, \fB\-\-print\-avail\fP \fInazwa\-pakietu\fP...
Wyświetla szczegółowe informacje na temat pakietu \fInazwa\-pakietu\fP,
pochodzące z pliku \fI%ADMINDIR%/available\fP. Gdy wypisane jest wiele
\fInazw\-pakietu\fP, żądane wpisy \fIavailable\fP są oddzielone pustym wierszem, z
tą samą kolejnością jak podano w liście argumentów.

Użytkownicy nakładek opartych o APT powinni używać \fBapt\-cache show\fP
\fIpackage\-name\fP zamiast tej opcji, ponieważ plik \fIavailable\fP jest
utrzymywany w aktualności jedynie przy użyciu \fBdselect\fP.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Wyświetla informację o użytkowaniu i kończy działanie.
.TP 
\fB\-\-version\fP
Wyświetla informację o wersji i pomyślnie kończy działanie.
.
.SH OPCJE
.TP 
\fB\-\-admindir=\fP\fIkatalog\fP
Change the location of the \fBdpkg\fP database. The default location is
\fI%ADMINDIR%\fP.
.TP 
\fB\-\-load\-avail\fP
Also load the available file when using the \fB\-\-show\fP and \fB\-\-list\fP
commands, which now default to only querying the status file (since dpkg
1.16.2).
.TP 
\fB\-f\fP, \fB\-\-showformat=\fP\fIformat\fP
Opcja jest używana do podania formatu wyjścia produkowanego przez
\fB\-\-show\fP. Format jest łańcuchem znaków, który będzie wyświetlony dla
każdego wypisanego pakietu.

W łańcuchu formatu, “\fB\e\fP” jest znakiem cytowania:

.nf
    \fB\en\fP  nowa linia
    \fB\er\fP  powrót karetki
    \fB\et\fP  tabulacja
.fi

“\fB\e\fP” poprzedzający jakikolwiek inny znak znosi specjalne znaczenie
następującego po nim znaku, co może być przydatne dla “\fB\e\fP” oraz “\fB$\fP”.

Informacje o pakiecie można wyświetlać, dodając odwołania do pól pakietu z
użyciem składni "\fB${\fP\fIpole\fP[\fB;\fP\fIszerokość\fP]\fB}\fP". Pola są wyrównywane do
prawej strony, chyba że \fIszerokość\fP jest liczbą ujemną, w którym to wypadku
będzie użyte wyrównanie do lewej strony. Rozpoznawane są następujące
\fIpola\fP, ale niekoniecznie są one włączane w pliku statusu (trafiają tam
tylko pola wewnętrzne lub pola zawarte w binarnym pakiecie):

.nf
    \fBArchitecture\fP
    \fBBugs\fP
    \fBConffiles\fP (wewnętrzne)
    \fBConfig\-Version\fP (wewnętrzne)
    \fBConflicts\fP
    \fBBreaks\fP
    \fBDepends\fP
    \fBDescription\fP
    \fBEnhances\fP
    \fBEssential\fP
    \fBFilename\fP (wewnętrzne, związane z interfejsem)
    \fBHomepage\fP
    \fBInstalled\-Size\fP
    \fBMD5sum\fP (wewnętrzne, związane z interfejsem)
    \fBMSDOS\-Filename\fP (wewnętrzne, związane z interfejsem)
    \fBMaintainer\fP
    \fBOrigin\fP
    \fBPackage\fP
    \fBPre\-Depends\fP
    \fBPriority\fP
    \fBProvides\fP
    \fBRecommends\fP
    \fBReplaces\fP
    \fBRevision\fP (przestarzałe)
    \fBSection\fP
    \fBSize\fP (wewnętrzne, związane z interfejsem)
    \fBSource\fP
    \fBStatus\fP (wewnętrzne)
    \fBSuggests\fP
    \fBTag\fP (zwykle nie w .deb, ale w plikach Packages repozytorium)
    \fBTriggers\-Awaited\fP (wewnętrzne)
    \fBTriggers\-Pending\fP (wewnętrzne)
    \fBVersion\fP
.fi

Poniższe pola są wirtualne i są tworzone przez \fBdpkg\-query\fP z wartości
pobranych z innych pól (proszę zauważyć, że nie używają one prawidłowych
nazw pól w plikach kontrolnych):
.RS
.TP 
\fBbinary:Package\fP
It contains the binary package name with a possible architecture qualifier
like “libc6:amd64” (since dpkg 1.16.2).  An architecture qualifier will be
present to make the package name unambiguous, for example if the package has
a \fBMulti\-Arch\fP field with a value of \fBsame\fP or the package is of a foreign
architecture.
.TP 
\fBbinary:Summary\fP
It contains the package short description (since dpkg 1.16.2).
.TP 
\fBdb:Status\-Abbrev\fP
It contains the abbreviated package status (as three characters), such as
“ii ” or “iHR” (since dpkg 1.16.2).  See the \fB\-\-list\fP command description
for more details.
.TP 
\fBdb:Status\-Want\fP
It contains the package wanted status, part of the Status field (since dpkg
1.17.11).
.TP 
\fBdb:Status\-Status\fP
It contains the package status word, part of the Status field (since dpkg
1.17.11).
.TP 
\fBdb:Status\-Eflag\fP
It contains the package status error flag, part of the Status field (since
dpkg 1.17.11).
.TP 
\fBsource:Package\fP
It contains the source package name for this binary package (since dpkg
1.16.2).
.TP 
\fBsource:Version\fP
It contains the source package version for this binary package (since dpkg
1.16.2)
.TP 
\fBsource:Upstream\-Version\fP
It contains the source package upstream version for this binary package
(since dpkg 1.18.16)
.RE
.IP
The default format string is “\fB${binary:Package}\et${Version}\en\fP”.
Actually, all other fields found in the status file (i.e. user defined
fields) can be requested, too. They will be printed as\-is, though, no
conversion nor error checking is done on them. To get the name of the
\fBdpkg\fP maintainer and the installed version, you could run:

.nf
  \fBdpkg\-query \-W \-f='${binary:Package} ${Version}\et${Maintainer}\en' dpkg\fP
.fi
.
.SH "KOD WYJŚCIA"
.TP 
\fB0\fP
Żądane zapytanie zakończyło się powodzeniem.
.TP 
\fB1\fP
The requested query failed either fully or partially, due to no file or
package being found (except for \fB\-\-control\-path\fP, \fB\-\-control\-list\fP and
\fB\-\-control\-show\fP were such errors are fatal).
.TP 
\fB2\fP
Fatal or unrecoverable error due to invalid command\-line usage, or
interactions with the system, such as accesses to the database, memory
allocations, etc.
.
.SH ŚRODOWISKO
.TP 
\fBDPKG_ADMINDIR\fP
If set and the \fB\-\-admindir\fP option has not been specified, it will be used
as the \fBdpkg\fP data directory.
.TP 
\fBCOLUMNS\fP
Zmienna ta wpływa na wyjście polecenia \fB\-\-list\fP, zmieniając jego szerokość.
.
.SH "ZOBACZ TAKŻE"
\fBdpkg\fP(1).

