.\" dpkg manual page - dpkg-statoverride(1)
.\"
.\" Copyright © 2000-2001 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2009-2011, 2013, 2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-statoverride 1 %RELEASE_DATE% %VERSION% "użytki dpkg"
.nh
.SH NAZWA
dpkg\-statoverride \- nadpisywanie właściciela i praw plików
.
.SH SKŁADNIA
\fBdpkg\-statoverride\fP [\fIopcja\fP...] \fIpolecenie\fP
.
.SH OPIS
“\fBstat overrides\fP” are a way to tell \fBdpkg\fP(1)  to use a different owner
or mode for a path when a package is installed (this applies to any
filesystem object that \fBdpkg\fP handles, including directories, devices,
etc.). This can be used to force programs that are normally setuid to be
install without a setuid flag, or only executable by a certain group.
.P
\fBdpkg\-statoverride\fP jest narzędziem użytkowym do zarządzania listą nadpisań
stanu. Ma trzy podstawowe funkcje: dodawania, usuwania i wyświetlania listy
takich nadpisań.
.
.SH POLECENIA
.TP 
\fB\-\-add\fP\fI user group mode path\fP
Add an override for \fIpath\fP. \fIpath\fP does not need to exist when this
command is used; the override will be stored and used later.  Users and
groups can be specified by their name (for example \fBroot\fP or \fBnobody\fP), or
by their number by prepending the number with a ‘\fB#\fP’ (for example \fB#0\fP or
\fB#65534\fP).  The \fImode\fP needs to be specified in octal.

If \fB\-\-update\fP is specified and \fIpath\fP exists, it is immediately set to the
new owner and mode.
.TP 
\fB\-\-remove\fP\fI path\fP
Remove an override for \fIpath\fP, the status of \fIpath\fP is left unchanged by
this command.
.TP 
\fB\-\-list\fP [\fIwzorzec\-glob\fP]
List all overrides. If a glob pattern is specified restrict the output to
overrides which match the glob.
.TP 
\fB\-\-help\fP
Wyświetla informację o użytkowaniu i kończy działanie.
.TP 
\fB\-\-version\fP
Wyświetla informację o wersji i pomyślnie kończy działanie.
.
.SH OPCJE
.TP 
\fB\-\-admindir\fP\fI katalog\fP
Change the \fIdirectory\fP of the \fBdpkg\fP database where the statoverride file
is also stored. Defaults to \fI%ADMINDIR%\fP.
.TP 
\fB\-\-force\fP
Wymusza podaną akcję, nawet jeżeli sprawdzenia dokonywane przez program by
tego zabroniły. Jest to potrzebne, aby nadpisać istniejące nadpisanie.
.TP 
\fB\-\-update\fP
Immediately try to change the \fIpath\fP to the new owner and mode if it
exists.
.TP 
\fB\-\-quiet\fP
Wyświetla mniej komunikatów o podejmowanych przez program akcjach.
.
.SH "KOD WYJŚCIA"
.TP 
\fB0\fP
Akcja zakończyła się powodzeniem.
.TP 
\fB1\fP
For \fB\-\-list\fP, if there are no overrides or none match the supplied glob.
.TP 
\fB2\fP
Fatal or unrecoverable error due to invalid command\-line usage, or
interactions with the system, such as accesses to the database, memory
allocations, etc.
.
.SH ŚRODOWISKO
.TP 
\fBDPKG_ADMINDIR\fP
If set and the \fB\-\-admindir\fP option has not been specified, it will be used
as the \fBdpkg\fP data directory.
.
.SH PLIKI
.TP 
\fI%ADMINDIR%/statoverride\fP
File which contains the current list of stat overrides of the system. It is
located in the \fBdpkg\fP administration directory, along with other files
important to \fBdpkg\fP, such as \fIstatus\fP or \fIavailable\fP.
.br
Note: \fBdpkg\-statoverride\fP preserves the old copy of this file, with
extension “\-old”, before replacing it with the new one.
.
.SH "ZOBACZ TAKŻE"
\fBdpkg\fP(1).
